<?php
//--------------------- Debut ajout CI (varianteec) -----

include ("inc.php3");
include_ecrire ("_giseh_inc_ari.php3");


function cibouton_radio($nom, $valeur, $titre, $actif = false, $onClick="") {
	static $id_label = 0;
	
	if (strlen($onClick) > 0) $onClick = " onClick=\"$onClick\"";
	$texte = "<input type='radio' name='$nom' value='$valeur' id='label_$id_label'$onClick";
	if ($actif) {
		$texte .= ' checked';
		$titre = '<b>'.$titre.'</b>';
	}
	$texte .= "> <label for='label_$id_label'>$titre</label>\n";
	$id_label++;
	return $texte;
}



function ci_formulaire_droits_auteurs($cigroupe, $cilibelle, $cititre, $cicommentaire, $cilabel, $ciobligatoire, $table, $id_rubrique, $nouv_auteur, $supp_auteur, $cherche_auteur, $flag_editable, $ci_rub_ari, $ci_rub_ar, $ci_ari_heritage, $ci_ar_heritage) {
	global $flag_auteurs_ressemblants;
	global $connect_nom;
	global $connect_statut;
	global $connect_id_auteur;
	global $spip_lang_rtl;
	$select_groupe = $GLOBALS['select_groupe'];
	$unseul="";
	$titre_groupe="Mon titre";

	$id_table = 'id_rubrique';
	$url_base = "_giseh_droits.php3?id_rubrique=$id_rubrique";


	$ci_where = " AND auteurs.statut IN ('0minirezo', '1comite', 'ciredval', '6forum')";
	$ci_grp_where = "";

	unset ($rub_restreinte);
	$restreint = spip_query("SELECT * FROM spip_auteurs_rubriques");
	while ($row = spip_fetch_array($restreint))
		$rub_restreinte[$row['id_auteur']] .= ','.$row['id_rubrique'];


	debut_cadre_enfonce("redacteurs-24.gif");

	if ($flag_editable){
		echo "<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=3 WIDTH=100% BACKGROUND=''><TR><TD BGCOLOR='#EEEECC'>";
		echo "<FONT SIZE=2 FACE='Georgia,Garamond,Times,serif'><B>".$cilibelle."</B></FONT>";
		echo "</TABLE>";
	}
	
	echo "<FONT FACE='Verdana,Arial,Helvetica,sans-serif' SIZE=1>";
	echo "<table border=0 cellspacing=0 cellpadding=2 width=100% background=''>";
	echo "<caption>Liste des auteurs ayant accs  cette rubrique (1)(2) :</caption>";
 	echo "<tr><th>Auteurs";
 	echo "<th>Droit sur cette rubrique</th>";
 	echo "</th></tr>";

	$ifond=0;

	
	unset($les_auteurs);

	$cilibstatut=cilibstatut();


	if ($ci_ari_heritage) {
		 $cilisteparents=ci_ascendanceari($id_rubrique);

		// droits particulier sur la rubrique (avec hritage)
		unset ($rubstatutsh);
		$query = "SELECT * FROM spip_ci_droit_rubriques WHERE id_rubrique IN ".$cilisteparents;
		$result = spip_query($query);
		while ($row = spip_fetch_array($result))
			$rubstatutsh[$row['id_auteur']] = $row['statut'];
		// auteurs par hritage 
		if ($cilisteparents) {
		
			$query = "SELECT auteurs.* FROM spip_auteurs AS auteurs, spip_auteurs_$table AS lien WHERE lien.$id_table IN $cilisteparents AND auteurs.id_auteur=lien.id_auteur ".$ci_where." ORDER BY nom";
			$result = spip_query($query);
			
			while ($row = spip_fetch_array($result)) {
				$id_auteur = $row['id_auteur'];
				$titre_auteur = $row['nom'];
				$type_auteur = $row['type'];
				$descriptif_auteur = $row['nom'];
				$defaultstatut = $row['statut'];
				$pgp = $row['pgp'];
				
				// statut particulier
				if ($defaultstatut=='0minirezo' AND ((ci_lirepgp($pgp, 'eccma')=='eccma') OR (ci_lirepgp($pgp, 'ecadminsite')=='ecadminsite'))) $defaultstatut='eccma';
		
				// statut pour cette rubrique
				$rub_statut=$defaultstatut;
				if (isset($rubstatutsh[$id_auteur])) $rub_statut=$rubstatutsh[$id_auteur];
		

	
				if ($ifond==0){
					$ifond=1;
					$couleur="#FFFFFF";
				}else{
					$ifond=0;
					$couleur="#EDF3FE";
				}				
	
				echo "<TR WIDTH=\"100%\">";
				echo "<TD BGCOLOR='$couleur' width='70%'>";
				echo "$descriptif_auteur";
				echo "</TD>";
				echo "<TD BGCOLOR='$couleur' width='30%' ALIGN='right'>";
				echo $cilibstatut[$rub_statut];
				echo "</TD>";
				echo "</TR>\n";
		
				$les_auteurs[] = $id_auteur;
			}
		
		}	
		
	}

	// auteurs par affectation directe

	// droits particulier sur la rubrique
	unset ($rubstatuts);
	$query = "SELECT * FROM spip_ci_droit_rubriques WHERE id_rubrique=".$id_rubrique;
	$result = spip_query($query);
	while ($row = spip_fetch_array($result))
		$rubstatuts[$row['id_auteur']] = $row['statut'];
	
	$query = "SELECT auteurs.* FROM spip_auteurs AS auteurs, spip_auteurs_$table AS lien WHERE lien.$id_table=$id_rubrique AND auteurs.id_auteur=lien.id_auteur ".$ci_where." ORDER BY nom";
	$result = spip_query($query);
	

	$ifond=0;
	
	while ($row = spip_fetch_array($result)) {
		$id_auteur = $row['id_auteur'];
		$titre_auteur = $row['nom'];
		$type_auteur = $row['type'];
		$descriptif_auteur = $row['nom'];
		$defaultstatut = $row['statut'];
		$pgp = $row['pgp'];
//			if ($defaultstatut=='0minirezo' AND $rub_restreinte[$id_auteur] AND !ci_droit_id_auteur($id_auteur, 'ecadminsite')) $descriptif_auteur=$descriptif_auteur." (admin restreint)";
		// statut particulier
		if ($defaultstatut=='0minirezo' AND ((ci_lirepgp($pgp, 'eccma')=='eccma') OR (ci_lirepgp($pgp, 'ecadminsite')=='ecadminsite'))) $defaultstatut='eccma';

		// statut pour cette rubrique
		$rub_statut=$defaultstatut;
		if (isset($rubstatuts[$id_auteur])) $rub_statut=$rubstatuts[$id_auteur];
		

		if ($ifond==0){
			$ifond=1;
			$couleur="#FFFFFF";
		}else{
			$ifond=0;
			$couleur="#EDF3FE";
		}				

		echo "<TR WIDTH=\"100%\">";
		echo "<TD BGCOLOR='$couleur' width='70%'>";
		echo "$descriptif_auteur";
		echo "</TD>";
		echo "<TD BGCOLOR='$couleur' width='30%' ALIGN='right'>";
		echo $cilibstatut[$rub_statut];
		echo "</TD>";
		echo "</TR>\n";

		$les_auteurs[] = $id_auteur;
	}
	
	echo "<tr><td></td><td>&nbsp;</td><td></td></tr>";
	echo "</TABLE>";
	echo "</FONT>";
	
	if ($les_auteurs) {
		$nombre_auteurs_associes = count($les_auteurs);
		$les_auteurs = join($les_auteurs, ",");
	}
	if ($id_groupes_vus) $id_groupes_vus = join($id_groupes_vus, ",");
	else $id_groupes_vus = "0";
	
	if ($flag_editable AND $ci_rub_ari) {	
		echo "<table width=100%><tr><td width=33%>";
		bouton("Ajouter", "_giseh_droits_ajouter.php3?id_rubrique=$id_rubrique");
		echo "</td><td width=33%>";
		bouton("Retirer", "_giseh_droits_supprimer.php3?id_rubrique=$id_rubrique");
		echo "</td><td width=34%>";
		bouton("Modifier les droits", "_giseh_droits_modifier.php3?id_rubrique=$id_rubrique");
		echo "</td></tr></table>";
	}

	$ci_ar =true;
	if (cilire_config('ciautorisear')!="oui") {
		$ci_ar =false;
	}
	if($ci_ar){
		// Dire que pour les sites internet cela impacte uniquement les droits d'accs  l'espace priv
	}
		
	echo "<DIV align='left' STYLE='font-family: Verdana, Arial, Helvetica, sans-serif; font-size:9px'>";
	if ($ci_rub_ar OR $ci_ar_heritage) {
	echo "<br>(1) ces auteurs ont accs dans l'espace priv  cette rubrique ainsi qu toutes ses sous rubriques (par hritage). Attention : si un auteur n'est affect  aucune rubrique, par dfaut il aura accs  toutes les rubriques dans l'espace priv (c'est le fonctionnement standard de SPIP)";
	echo "<br>(2) comme cette rubrique est en accs restreint sur le site public, elle sera consultable sur le site public uniquement par les personnes qui se seront authentifies.";
	} elseif ($ci_rub_ari OR $ci_ari_heritage) {
	echo "<br>(1) comme cette rubrique est un espace collaboratif, ces auteurs et seulement ces auteurs ont accs dans l'espace priv  cette rubrique ainsi qu toutes ses sous rubriques (par hritage).";
	echo "<br>(2) comme cette rubrique est un espace collaboratif, ces auteurs et seulement ces auteurs ont accs  cette rubrique sur le site public (aprs stre authentifi),  toutes ses sous rubriques (par hritage),  ses rubriques parentes (afin de pouvoir accder  la rubrique en question).";
	} else {
	echo "<br>(1) ces auteurs ont accs dans l'espace priv  cette rubrique ainsi qu toutes ses sous rubriques (par hritage). Attention : si un auteur n'est affect  aucune rubrique, par dfaut il aura accs  toutes les rubriques dans l'espace priv (c'est le fonctionnement standard de SPIP).";
	echo "<br>(2) comme cette rubrique est en accs libre sur le site public, elle sera consultable par tous sur le site public.";
	}		
	echo "</DIV>";

	echo fin_block();


	fin_cadre_enfonce();

}





// Vrifications pralables
$id_parent = intval($id_parent);
$id_rubrique = intval($id_rubrique);
$ci_connect_eccma = ci_connect_eccma($id_rubrique);
$flag_editable = ($ci_connect_eccma AND acces_rubrique($id_rubrique));

if ($id_rubrique) {
	if (!ci_lecture_rubrique($id_rubrique)) {
			@header("Location: ./index.php3");
			exit;
	}
}
// A mettre aprs le test ci_lecture_rubrique
// Cas d'un rdacteur promu gestionnaire de la rubrique et ses droits d'accs
if ($ci_connect_eccma AND $connect_statut == '1comite') {
	$flag_editable=true;
}	

if (cilire_config('ciautorisear')!="oui") {
			@header("Location: ./index.php3");
			exit;
}


$ci_suppr_droit=false;
$ci_where = " AND auteurs.statut IN ('0minirezo', '1comite', 'ciredval', '6forum')";

// cas d'une rubrique en accs restreint ou en accs libre
$cirubprot=ciidprotection($id_rubrique);
if (($cirubprot=="_acces_libre") OR ($cirubprot=="_acces_restreint") OR ($cirubprot=="_acces_restreint_heritage") ) {
	$flag_editable = ($connect_statut == '0minirezo' AND acces_rubrique($id_rubrique));
}

// Appliquer les modifications sur les mots-cles
if ($ci_protection && $flag_editable) {
		$liste_mot="(0)";
		$old_acces_indiv=false;
		if ($ci_protection=="_acces_indiv") $liste_mot=ci_idmotari();
		if ($ci_protection=="_acces_restreint") $liste_mot=ci_idmotar();
		if (!($liste_mot=="(0)")){
			$ciid_mots=explode(",", substr($liste_mot,1,-1));
			$nouv_mot=trim($ciid_mots[0]);
			$query = "SELECT * FROM spip_mots_rubriques WHERE id_rubrique=$id_rubrique AND id_mot IN ".$liste_mot;
			$result = spip_query($query);
			if (!spip_num_rows($result)) {
				if (civerifidmot($nouv_mot,'rubriques', $id_rubrique, 'insert')) {
					// mmorise les relations existantes
					$cimots=array();
					$query2 = "SELECT lien_mot.id_mot FROM spip_mots_rubriques AS lien_mot,spip_mots AS mots WHERE lien_mot.id_rubrique=$id_rubrique AND lien_mot.id_mot=mots.id_mot AND mots.type='_acces_restreint'";
					$result2 = spip_query($query2);
					while ($row = spip_fetch_array($result2)) {
						$cioldmots[]= $row['id_mot'];
					}
					
					// affecte la rubrique au crateur si EC
					$cieccreateur=cieccreateur($nouv_mot,$id_rubrique);

					// crer la relation
					$query = "INSERT INTO spip_mots_rubriques (id_mot,id_rubrique) VALUES ($nouv_mot, $id_rubrique)";
					$result = spip_query($query);

					// supprime les anciennes relations
					if (isset($cioldmots)) {
						foreach ($cioldmots as $cioldmot) {
							if ($cioldmot) {
								$query = "DELETE FROM spip_mots_rubriques WHERE id_rubrique=$id_rubrique AND id_mot=$cioldmot";
								$result = spip_query($query);
							}	
						}
					}
					
					// supprime les anciens droits
					if ($ci_protection!="_acces_indiv") {
						if (ci_suppr_droit($id_rubrique)) $ci_suppr_droit=true;
					}	
				}
			}
		} elseif ($ci_protection=="_acces_libre") {
					// mmorise les relations existantes
					$cimots=array();
					$query2 = "SELECT lien_mot.id_mot FROM spip_mots_rubriques AS lien_mot,spip_mots AS mots WHERE lien_mot.id_rubrique=$id_rubrique AND lien_mot.id_mot=mots.id_mot AND mots.type='_acces_restreint'";
					$result2 = spip_query($query2);
					while ($row = spip_fetch_array($result2)) {
						$cioldmots[]= $row['id_mot'];
					}

					// supprime les anciennes relations
					if (isset($cioldmots)) {
						foreach ($cioldmots as $cioldmot) {
							if ($cioldmot) {
								$query = "DELETE FROM spip_mots_rubriques WHERE id_rubrique=$id_rubrique AND id_mot=$cioldmot";
								$result = spip_query($query);
							}	
						}
					}					
					// supprime les anciens droits
					if (ci_suppr_droit($id_rubrique)) $ci_suppr_droit=true;
		}	
}


if (ci_ari($id_rubrique)) { 
	
	// Appliquer les ajouts d'auteurs
	if ($flag_editable) {
		$tabauteurs = (isset($_POST['ajout_auteurs']))?$_POST['ajout_auteurs']:null;
		if ($tabauteurs) {
			if (isset($tabauteurs['spip_recursions'])) unset($tabauteurs['spip_recursions']); // subtilit de SPIP
			if ($tabauteurs AND is_array($tabauteurs)) {
				// Vrification
				if (!ci_ari_heritage($id_rubrique)) {
					
					// Prvention des accs concurents
					$ci_ajout_img_avant = (isset($_POST['ciajout_img_avant']))?$_POST['ciajout_img_avant']:"";
					$query = "SELECT auteurs.* FROM spip_auteurs AS auteurs, spip_auteurs_rubriques AS lien WHERE lien.id_rubrique=$id_rubrique AND auteurs.id_auteur=lien.id_auteur ".$ci_where." ORDER BY nom";
					$result = spip_query($query);			
					while ($row = spip_fetch_array($result)) $auteursdirects[] = $row['id_auteur'];
					$ci_ajout_img_base = "(".implode(",",$auteursdirects).",0))" ;
					
					$ciajout_concurrent=false;
					if ($ci_ajout_img_avant) {
						if ($ci_ajout_img_base) {
							if (!($ci_ajout_img_avant==$ci_ajout_img_base)) $ciajout_concurrent=true;
						} else {
							$ciajout_concurrent=true;
						}		
					} elseif ($ci_ajout_img_base) $ciajout_concurrent=true;
		
					if (!$ciajout_concurrent) {
						// Prvention contre les hacks
						// ne pas ajouter l'administrateur du site sauf s'il a une des deux options "affectable  un EC"
						unset ($rub_restreinte);
						$restreint = spip_query("SELECT * FROM spip_auteurs_rubriques");
						while ($row = spip_fetch_array($restreint))
							$rub_restreinte[$row['id_auteur']] .= ','.$row['id_rubrique'];

						$tabauteurs2=array();
						$cilisteauteur="(";
						foreach ($tabauteurs as $idaut) {
							if (intval($idaut)>0) $cilisteauteur.=$idaut.",";		// prvention
						}
						$cilisteauteur.="0)";
						$query = "SELECT * FROM spip_auteurs WHERE id_auteur IN ".$cilisteauteur;
						$result = spip_query($query);			
						while ($row = spip_fetch_array($result)) {
							$id_auteur=$row['id_auteur'];
							if ($row['statut']=='0minirezo' AND !$rub_restreinte[$id_auteur] AND !ci_droit_id_auteur($id_auteur, 'ecadminsite') AND !ci_droit_id_auteur($id_auteur, 'ecadminsite', 'ecadminrestreint')){
								// ne rien faire
							} else {
								$tabauteurs2[]=$id_auteur;
							}
						}
						reset($tabauteurs2);
						
						// ajouter les auteurs
						$query = "INSERT INTO spip_auteurs_rubriques (id_auteur, id_rubrique) VALUES (".implode(",$id_rubrique),(",$tabauteurs2).",$id_rubrique)";
						spip_query($query);
					}	
				}	
			}	
		}	
	}
	
	// Appliquer les retraits d'auteurs
	if ($flag_editable) {
		$tabauteurs = (isset($_POST['suppr_auteurs']))?$_POST['suppr_auteurs']:null;
		if ($tabauteurs) {
			if (isset($tabauteurs['spip_recursions'])) unset($tabauteurs['spip_recursions']); // subtilit de SPIP
			if ($tabauteurs AND is_array($tabauteurs)) {
				$cilisteauteur="(";
				foreach ($tabauteurs as $idaut) {
					if (intval($idaut)>0) $cilisteauteur.=$idaut.",";		// prvention
				}
				$cilisteauteur.="0)";
				// on ne supprime pas celui qui manipule (prvention)
				$query = "DELETE FROM spip_auteurs_rubriques WHERE id_rubrique=".$id_rubrique." AND id_auteur IN ".$cilisteauteur." AND id_auteur<>".$connect_id_auteur;
				spip_query($query);
			}	
		}	
	}
	
	// Appliquer les status d'auteurs spcifiques  cette rubrique
	if ($flag_editable) {
		$newstatuts = (isset($_POST['st']))?$_POST['st']:null;
		if ($newstatuts) {
			if (isset($newstatuts['spip_recursions'])) unset($newstatuts['spip_recursions']); // subtilit de SPIP
			if ($newstatuts AND is_array($newstatuts)) {
				// statuts particuliers pour cette rubrique mmoriss dans la base
				unset ($updatestatuts);
				unset ($deletestatuts);
				unset ($oldstatuts);
				$result = spip_query("SELECT * FROM spip_ci_droit_rubriques WHERE id_rubrique=".$id_rubrique." ORDER BY id_auteur");
				while ($row = spip_fetch_array($result))
					$oldstatuts[$row['id_auteur']] = $row['statut'];
	
				// Prvention des accs concurents
				$ci_statut_img_avant = (isset($_POST['cimodif_img_avant']))?$_POST['cimodif_img_avant']:"";
				$ci_statut_img_base = ciimplode_with_key($oldstatuts);
				$cistatut_concurrent=false;
				if ($ci_statut_img_avant) {
					if ($ci_statut_img_base) {
						if (!($ci_statut_img_avant==$ci_statut_img_base)) $cistatut_concurrent=true;
					} else {
						$cistatut_concurrent=true;
					}		
				} elseif ($ci_statut_img_base) $cistatut_concurrent=true;
	
				if (!$cistatut_concurrent) {
					// auteurs affects  la rubrique sauf celui qui manipule (prvention)
					if (isset($newstatuts[$connect_id_auteur])) unset($newstatuts[$connect_id_auteur]);					
					$query = "SELECT auteurs.* FROM spip_auteurs AS auteurs, spip_auteurs_rubriques AS lien WHERE lien.id_rubrique=$id_rubrique AND auteurs.id_auteur=lien.id_auteur AND auteurs.id_auteur<>".$connect_id_auteur." ".$ci_where." ORDER BY nom";
					$result = spip_query($query);
					
					while ($row = spip_fetch_array($result)) {
						$id_auteur = $row['id_auteur'];
						$defaultstatut = $row['statut'];
						$pgp = $row['pgp'];
						// ne pas changer le statut d'un visiteur
						if ($defaultstatut!='6forum'){				
							if ($defaultstatut=='0minirezo' AND ((ci_lirepgp($pgp, 'eccma')=='eccma') OR (ci_lirepgp($pgp, 'ecadminsite')=='ecadminsite'))) $defaultstatut='eccma';	// statut particulier
			
							if (isset($newstatuts[$id_auteur])){
								if (isset($oldstatuts[$id_auteur])){
									if ($newstatuts[$id_auteur]==$oldstatuts[$id_auteur]) {
										// si le nouveau statut est le mme que celui en base, ne pas faire de requete sql
										unset($newstatuts[$id_auteur]);
									} else {
										if ($newstatuts[$id_auteur]==$defaultstatut) {
											// si le nouveau statut est diffrent de celui en base
											// mais est gal au statut par dfaut faire un delete
											$deletestatuts[]=$id_auteur;
											unset($newstatuts[$id_auteur]);
										} else {
											// si le nouveau statut est diffrent de celui en base et du statut par dfaut
											// faire un update et pas un insert
											if (ereg("^(eccma|0minirezo|1comite|ciredval|6forum)$",$newstatuts[$id_auteur])) {
												$updatestatuts[$id_auteur]=$newstatuts[$id_auteur];
											}	
											unset($newstatuts[$id_auteur]);
										}
									}		
								} else {
									// si le nouveau statut est gal au statut par dfaut
									// et qu'il n'y a pas de statut mmoris en base pour cet uateur sur cette rubrique
									// ne pas faire de requte
									if ($newstatuts[$id_auteur]==$defaultstatut) unset($newstatuts[$id_auteur]);					
								}	
							}
						}		
					}	
					
					if ($newstatuts) {
						$sql="";
						foreach ($newstatuts as $idaut => $idstatut) {
							if (ereg("^(eccma|0minirezo|1comite|ciredval|6forum)$",$idstatut))
							$sql.="(".$id_rubrique.",".$idaut.",'".$idstatut."'),";
						}	
						if ($sql) $sql=substr($sql,0,-1);
							
						$query = "INSERT INTO spip_ci_droit_rubriques (id_rubrique, id_auteur, statut) VALUES ".$sql;
						spip_query($query);
					}
					
					if ($deletestatuts) {
						$query = "DELETE FROM spip_ci_droit_rubriques WHERE id_rubrique=".$id_rubrique." AND id_auteur IN (".implode(",",$deletestatuts).",0) AND id_auteur<>".$connect_id_auteur;
						spip_query($query);
					}
								
					if ($updatestatuts) {
						foreach ($updatestatuts as $idaut => $idstatut) {
							$query="UPDATE spip_ci_droit_rubriques SET statut='".addslashes($idstatut)."' WHERE id_rubrique=".$id_rubrique." AND id_auteur=".$idaut;
							spip_query($query);
						}	
					}
				}			
			}	
		}	
	}
	
}

// infos sur cette rubrique
$query="SELECT * FROM spip_rubriques WHERE id_rubrique='$id_rubrique'";
$result=spip_query($query);

while($row=spip_fetch_array($result)){
	$id_rubrique=$row['id_rubrique'];
	$id_parent=$row['id_parent'];
	$titre=$row['titre'];
}

if ($titre)
	$titre_page = "&laquo; ".textebrut($titre)." &raquo;";
else
	$titre_page = _T('titre_naviguer_dans_le_site');




// debut de la page
debut_page($titre_page, "documents", "rubriques");


// parents
debut_grand_cadre();
if ($id_rubrique  > 0) afficher_hierarchie($id_parent);
fin_grand_cadre();
changer_typo('', 'rubrique'.$id_rubrique);


debut_gauche();

if ($id_rubrique > 0) {
	debut_boite_info();
		echo "<CENTER>";
		echo "<FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=1><B>"._T('titre_numero_rubrique')."</B></FONT>";
		echo "<BR><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=6><B>$id_rubrique</B></FONT>";
		echo "</CENTER>";

	fin_boite_info();
}


debut_droite();

if ($id_rubrique == 0) {
	$nom_site = lire_meta("nom_site");
	$titre = _T('info_racine_site').": ".$nom_site;
}

if ($id_rubrique ==  0) $ze_logo = "racine-site-24.gif";
else if ($id_parent == 0) $ze_logo = "secteur-24.gif";
else $ze_logo = "rubrique-24.gif";


debut_cadre_relief($ze_logo);

echo "\n<table cellpadding=0 cellspacing=0 border=0 width='100%'>";
echo "<tr width='100%'><td width='100%' valign='top'>";
gros_titre((!acces_restreint_rubrique($id_rubrique) ? '' :
	   http_img_pack("admin-12.gif",'', "width='12' height='12'",
			 _T('info_administrer_rubrique'))) .
	   $titre);
echo "</td>";

if ($id_rubrique > 0) {
	echo "<td>", http_img_pack("rien.gif", ' ', "width='5'") ."</td>\n";
	echo "<td  align='$spip_lang_right' valign='top'>";
	icone(_T('icone_retour'), "naviguer.php3?id_rubrique=$id_rubrique", $ze_logo, "edit.gif");
	echo "</td>";
}
echo "</tr>\n";


echo "</table>\n";


//-------------
if ($id_rubrique>0) {
	
	if ($flag_editable) {

		// Message d'information
		if ($cistatut_concurrent OR $ciajout_concurrent) {
			debut_cadre_enfonce("");
			echo "<font color='red'><b>Les donnes ont t modifies entre temps, aussi votre saisie n'a pas t enregistre.</b></font>";
			fin_cadre_enfonce();
		}
		//--------------------- Debut ajout CI (varianteec) -----
		// Ne pas mettre en EC une rubrique qui contient un EC dans son arborescence
		global $ci_ec_interdit;
		if ($ci_protection AND $ci_ec_interdit){
			debut_cadre_enfonce("");
			echo "<font color='red'><b>Cette rubrique ne doit pas tre protge selon les droits d'accs car elle contient, dans son arborescence, une rubrique protge selon les droits d'accs.</b></font>";
			fin_cadre_enfonce();
		}
		if ($ci_suppr_droit) {
			debut_cadre_enfonce("");
			echo "<font color='red'><b>ATTENTION : les affectation d'auteurs  cette rubrique ont t conservs. En revanche, les ventuels droits spcifiques d'auteurs sur cette rubrique ont t supprims. Aussi leur statut par dfaut (rdacteur, ...) s'appliquera.</b></font>";
			fin_cadre_enfonce();
		}	
		//--------------------- Fin ajout CI ------------------
		
		
		debut_cadre_trait_couleur("", false, "", "Restreindre ou non l'accs sur le site public");
		
		// Type de restriction d'accs
		$ciprotection=ciidprotection($id_rubrique);
		
		if ($ciprotection=="_acces_indiv_heritage") {
			echo cilibprotection("_acces_indiv_heritage");
			echo "<br><font color='red'><b>Comme cette rubrique hrite d'une protection, il convient de se placer sur la rubrique dont elle hrite pour modifier la protection.</b></font>";			
			
		} elseif ($ciprotection=="_acces_restreint_heritage") {
			echo cilibprotection("_acces_restreint_heritage");
				if (ci_connect_eccma($id_rubrique)){
			
					echo "<FORM ACTION='_giseh_droits.php3' METHOD='post'>";
					echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
					echo "<TR><TD BACKGROUND='" . _DIR_IMG_PACK . "rien.gif' ALIGN='$spip_lang_left' class='verdana2'>";
					echo cibouton_radio("ci_protection", "_acces_restreint", cilibprotection("_acces_restreint"), true, "");
					echo "<br />";
					echo cibouton_radio("ci_protection", "_acces_indiv", cilibprotection("_acces_indiv"), $ciprotection == "_acces_indiv", "");
					echo "</TD></TR>\n";
					echo "<TR><td style='text-align:$spip_lang_right;'>";
					echo "<INPUT TYPE='submit' NAME='Valider' VALUE='"._T('bouton_valider')."' CLASS='fondo'>";
					echo "</TD></TR>";
					echo "</TABLE>\n";
					echo "<INPUT TYPE='Hidden' NAME='id_rubrique' VALUE=$id_rubrique>";
					echo "</FORM>"; 
				}		
			
		} else {
			echo "<FORM ACTION='_giseh_droits.php3' METHOD='post'>";
			echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
			echo "<TR><TD BACKGROUND='" . _DIR_IMG_PACK . "rien.gif' ALIGN='$spip_lang_left' class='verdana2'>";
			echo cibouton_radio("ci_protection", "_acces_libre", cilibprotection("_acces_libre"), $ciprotection == "_acces_libre", "");
			echo "<br />";
			echo cibouton_radio("ci_protection", "_acces_restreint", cilibprotection("_acces_restreint"), $ciprotection == "_acces_restreint", "");
			if (ci_connect_eccma($id_rubrique)){
				echo "<br />";
				echo cibouton_radio("ci_protection", "_acces_indiv", cilibprotection("_acces_indiv"), $ciprotection == "_acces_indiv", "");
			}	
			echo "</TD></TR>\n";
			echo "<TR><td style='text-align:$spip_lang_right;'>";
			echo "<INPUT TYPE='submit' NAME='Valider' VALUE='"._T('bouton_valider')."' CLASS='fondo'>";
			echo "</TD></TR>";
			echo "</TABLE>\n";
			echo "<INPUT TYPE='Hidden' NAME='id_rubrique' VALUE=$id_rubrique>";
			echo "</FORM>"; 	
		}	
		
		fin_cadre_trait_couleur();
		
		echo "<p>";
		
	
	} else {
		echo "<P>";
		debut_cadre_relief();
		echo "<center>";
		echo cilibprotectionrub($id_rubrique);
		echo "</center>";
		fin_cadre_relief();
				
		echo "<P>";
		debut_cadre_relief();
		echo "<center>";
		$citabstatut=cilibstatut();
		$cistatutetendu=ci_connect_statut_etendu($id_rubrique);
				
		echo "Sur cette rubrique, vos droits sont : <b>".$citabstatut[$cistatutetendu]."</b>";
		echo "<br>Aussi, vous n'tes pas autoris  modifier la protection de cette rubrique.";
		echo "</center>";
		fin_cadre_relief();
	} 
	
	$ci_rub_ar=false;
	$ci_rub_ari=false;
	$ci_ar_heritage=false;
	$ci_ari_heritage=false;
	if (ci_ari($id_rubrique)) { 
		$ci_rub_ari=true;
	}
	if (ci_ari_heritage($id_rubrique)) {
		$ci_ari_heritage=true;
	}
	
	if ($ci_rub_ari OR $ci_ari_heritage) {
		ci_formulaire_droits_auteurs('_affichage_rubrique','Gestion des droits d\'accs  cette rubrique', 'A qui voulez-vous accorder le droit d\'accs  cette rubrique ?', 'Explication dtaille.', 'Ajouter le droit d\'accs  cette rubrique  un auteur : ', 'non', 'rubriques', $id_rubrique, $nouv_auteur, $supp_auteur, $cherche_auteur, $flag_editable, $ci_rub_ari, $ci_rub_ar, $ci_ari_heritage, $ci_ar_heritage);
	}	
}

fin_cadre_relief();

fin_page();

//--------------------- Fin ajout CI -----

?>
