<?php
include_once ('inc.php3');
include_ecrire('inc_objet.php3');
include_ecrire('inc_documents.php3');

$GLOBALS['blocks'] = array();
$GLOBALS['blocksDocks'] = array();
$GLOBALS['blocksPleins'] = array();

$ci_id_article=0;
if (intval($_POST['id_article'])>0) $ci_id_article= intval($_POST['id_article']);
if (intval($_GET['id_article'])>0) $ci_id_article= intval($_GET['id_article']);


function afficher_un_document($id_document)
{
	global $connect_id_auteur, $connect_statut;

	$document = fetch_document($id_document);

	$id_vignette = $document->get('id_vignette');
	$id_type = $document->get('id_type');
	$titre = $document->get('titre');
	$descriptif = $document->get('descriptif');
	$fichier = generer_url_document($id_document);
	$taille = $document->get('taille');
	$mode = $document->get('mode');

	if ($titre == '') {
		$titre = ereg_replace("^[^\/]*\/[^\/]*\/", "", $fichier);
	}

	$result = spip_query("SELECT * FROM spip_types_documents WHERE id_type=$id_type");
	if ($type = @spip_fetch_array($result))	{
		$type_extension = $type['extension'];
		$type_inclus = $type['inclus'];
		$type_titre = $type['titre'];
	}

	if ($id_vignette) {
		$vignette = fetch_document($id_vignette);
	}
	if ($vignette) {
		$fichier_vignette = generer_url_document($id_vignette);
		$largeur_vignette = $vignette->get('largeur');
		$hauteur_vignette = $vignette->get('hauteur');
	}

	$retour = '';
/*	
	if ($fichier_vignette) {
		$retour .= texte_vignette_document($largeur_vignette, $hauteur_vignette, $fichier_vignette, $fichier);
	} else {
		list($icone, $largeur_icone, $hauteur_icone) = vignette_par_defaut($type_extension);
		if ($icone) {
			$retour .= '<a href="'.$fichier.'"><img src="'.$icone.'" border=0 width="'.$largeur_icone.'" height="'.$hauteur_icone.'" align="top" /></a>';
		}
	}
*/	

	$retour .= '<tr>';
	$retour .= '<td headers="col1" class="forme"><a href="'.$fichier.'">'.$titre.'</a></td>';
	$retour .= '<td headers="col2" class="forme">'.($type_titre ? $type_titre : majuscules($type_extension)).'</td>';
	$retour .= '<td headers="col3" class="forme">'.taille_en_octets($taille).'</td>';
	$retour .= '<td headers="col4" class="formecoltexte">'.($descriptif ? propre($descriptif) : 'Aucun').'</td>';
	$retour .= '<td headers="col5" class="forme"><a href="javascript:addDoc('.$id_document.', \'left\');">Ajouter</a></td>';
	$retour .= '</tr>';


	return $retour;
}


function cigalerie($id_article) {
				
				$documentsArticle = spip_query("SELECT id_document FROM spip_documents_articles WHERE id_article = ".$id_article);
				$nbDocumentsArticle = spip_num_rows($documentsArticles);
				while ($doc = spip_fetch_array($documentsArticle)) {
					$retour .= afficher_un_document($doc['id_document']);
				}
					
	return $retour;
}


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Liste des documents</title>
<link rel="schema.DC" href="http://purl.org/DC/elements/1.0/">
<meta name="DC.Format" content="text/html">
<meta name="DC.Language" content="fr">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style type="text/css">
<!--
/*================  tableau  ===================*/
#tableau {width:100%;font-size: 0.7em;font-family: Verdana, Geneva, Arial, Helvetica, sans-serif;}
#tableau table.forme {border: 1px solid #4C8FCD;border-collapse: collapse;}
#tableau th.forme {color:#484848; line-height: 2em; padding: 2px 10px;border: 1px solid #4C8FCD;font-weight:normal;}
#tableau td.forme {padding: 5px 5px 5px 5px;color: #484848;line-height: 1.1em;border: 1px solid #4C8FCD;}
#tableau td.formecoltexte {padding: 5px 10px 5px 5px; border: 1px solid #4C8FCD;}
#tableau a.lien {color: #005FB8;text-decoration: underline;}
#tableau a.lien:hover {text-decoration: none;}

-->
</style>

<script type="text/javascript" language="JavaScript">
<!--
function addDoc(id_doc, alignement)
{
	window.opener.barre_inserer('\n<doc' + id_doc + '>\n', window.opener.<?php echo $GLOBALS['field']; ?>);
	window.close();
	return true;
}
-->
</script>

</head>
<body>

<div id="tableau">
<table summary="Liste des documents" class="forme">
<caption>Liste des documents</caption>
<thead>
<tr>
<th scope="col" id="col1" width="30%" class="forme">Document</th>
<th scope="col" id="col2" width="10%" class="forme">Type</th>
<th scope="col" id="col3" width="10%" class="forme">Taille</th>
<th scope="col" id="col4" width="30%" class="forme">Descriptif</th>
<th scope="col" id="col5" width="20%" class="forme">Ajouter</th>
</tr>
</thead>

<?php echo cigalerie($ci_id_article); ?>

</table>
</div>

</body>
</html>