<?php

//
// Ce fichier ne sera execute qu'une fois
if (defined("_ECRIRE_GISEH_INC_FORUM")) return;
define("_ECRIRE_GISEH_INC_FORUM", "1");


// empreinte du timestamp
function ciforum_creer_cle($ciorig,$debut=true) {
	$return = "texte";
	if (!defined('_CI_SANS_ANTISPAM_ADDITIONNEL')) {
		$deb="";
		if ($debut) {
			$fin = substr($ciorig,-2);
			if ($fin < 30) {
				$deb="s4";
			} elseif ($fin < 60) {
				$deb="rs";
			} elseif ($fin < 80) {
				$deb="bc";
			} else {
				$deb="u7";
			}
		}			
		$trans = substr(md5($ciorig),1,5);
		$res = str_replace(".","a",$trans);
		$return = $deb.str_replace("0","1",$res);
	}	
	

	return $return;
}


// contenu du champs texte... du formulaire
function ciforum_var_texte() {
	global $cispam;
	$return="";
	$citime=time();
	$compteur=0;
	$cispam=true;
	$tableau=array("s4","rs","bc","u7");
	
	if ($_POST) {
		$vars = $_POST;
		reset($vars);
		if (!defined('_CI_SANS_ANTISPAM_ADDITIONNEL')) {
			while (list ($key, $val) = each ($vars)) {
				if (in_array(substr($key,0,2),$tableau)) {
					$cle=substr($key,2);
					if ($cle) {
						// on remonte jusqu' 20 fois 100 secondes en arrire soit prs de 33 minutes
						while ($compteur<20) {
							$testime=substr(strval($citime-(100*$compteur)),0,-2);
							if ($cle==ciforum_creer_cle($testime,false)) {
								$return=$val;
								$cispam=false;
								break;
							}
							$compteur++;
						}
					}
				}
			}
		} else {
			$cispam=false;
			if (isset($vars['texte'])) 
				$return=$vars['texte'];
			elseif (isset($vars['textearticle'])) 
				$return=$vars['textearticle'];
			elseif (isset($vars['descriptif'])) 
				$return=$vars['descriptif'];
			
		}		
	}
	return $return;
}


// si plus de 3 url dans le texte c'est peut etre un spam
function ciforum_nettoyer_texte($citexte) {
	$return=$citexte;

	if (!defined('_CI_SANS_ANTISPAM_ADDITIONNEL')) {
		if (cicountAllOccurences($citexte, "http", 4) > 3) {
			$return="";
			tracer_erreur_forum('plus de 3 liens (http) dans le texte');		
		}
		if (cicountAllOccurences($citexte, "www", 4) > 3) {
			$return="";
			tracer_erreur_forum('plus de 3 liens (www) dans le texte');		
		}
	}
		
	return $return;
}


// compte le nombre d'occurences recherches dans une chane (dans la limite fixe)
function cicountAllOccurences($Haystack, $needle, $limit=0) {
	$offset = 0;
	$count=0;
	while (($pos=strpos($Haystack, $needle, $offset))!==false && ($count < $limit || $limit == 0)) {
		$offset = $pos + strlen($needle);
		$count++;
	}
	return $count;
}

// nombre d'enregistrements cres ou mis  jour dans les n dernires secondes
function ciforum_surcharge($maxrecord=0,$secondes=0) {
	$return= false;
	
	if (!defined('_CI_SANS_ANTISPAM_ADDITIONNEL')) {
		if (!($maxrecord>0)) $maxrecord=5; 	// par dfaut 5 enregistrements
		if (!($secondes>0)) $secondes=60; // par dfaut 60 secondes (soit 1 minutes)
		$mydate = date("YmdHis", time() - $secondes);
		
		$query = "SELECT COUNT(id_forum) AS nbenreg FROM spip_forum WHERE maj > $mydate";
		$result=spip_query($query);
		if ($row = @spip_fetch_array($result)) {
			$nbenreg = $row['nbenreg'];
			// c'est peut etre un robot de spam
			$type='5 commentaires ont t posts dans les forums en moins de 1 minute';
			if ($nbenreg > $maxrecord) {
				$return= true;
				spip_log("erreur forum ($type): ".print_r($_POST, true));
			}			
			// ne pas envoyer trop de message  l'administrateur du site
			if ($nbenreg==$maxrecord) tracer_erreur_forum($type);
		}
	}
		
	return $return;
}

// nombre d'enregistrements cres ou mis  jour dans les n dernires secondes
function ciarticle_surcharge($maxrecord=0,$secondes=0) {
	$return= false;
	
	if (!defined('_CI_SANS_ANTISPAM_ADDITIONNEL')) {
		if (!($maxrecord>0)) $maxrecord=5; 	// par dfaut 5 enregistrements
		if (!($secondes>0)) $secondes=60; // par dfaut 60 secondes (soit 1 minutes)
		$mydate = date("YmdHis", time() - $secondes);
		
		$query = "SELECT COUNT(id_article) AS nbenreg FROM spip_articles WHERE maj > $mydate";
		$result=spip_query($query);
		if ($row = @spip_fetch_array($result)) {
			$nbenreg = $row['nbenreg'];
			// c'est peut etre un robot de spam
			$type='5 articles ont t crs ou modifis en moins de 1 minute';
			if ($nbenreg > $maxrecord) {
				$return= true;
				spip_log("erreur forum ($type): ".print_r($_POST, true));
			}			
			// ne pas envoyer trop de message  l'administrateur du site
			if ($nbenreg==$maxrecord) tracer_erreur_forum($type);
		}
	}
		
	return $return;
}

// emprunt  SPIP 1.9
function tracer_erreur_forum($type='') {
	spip_log("erreur forum ($type): ".print_r($_POST, true));
/*	
	envoyer_mail($GLOBALS['meta']['email_webmaster'], "erreur forum ($type)",
		"erreur sur le forum ($type) :\n\n".
		'$_POST = '.print_r($_POST, true));
//		."\n\n".
//		'$_SERVER = '.print_r($_SERVER, true));


*/

}


// Envoi dun mail  lauteur du message auquel on rpond
function ciforum_mail_reponse ($id_forum) {
	
	if (!defined('_CI_SANS_MAIL_REPONSE_FORUM')) {	
	
		include_ecrire('inc_texte.php3');
		include_ecrire('inc_filtres.php3');
		include_ecrire('inc_mail.php3');
		
		$id_parent = 0;
		$id_article = 0;
		$statut = '';
		$titre = '';
		$texte = '';
		$date_heure = 0;
		$id_auteur = 0;
		$auteur = '';
		$email_auteur = '';
		$id_auteur_parent = 0;
		$nom_auteur_parent = '';
		$email_auteur_parent = '';
		$statut_auteur_parent = '';
	
		// Gestionnaire d'URLs
		if (@file_exists("inc-urls.php3"))
			include_local("inc-urls.php3");
		else
			include_local("inc-urls-".$GLOBALS['type_urls'].".php3");
	
		// Recherche du message correspondant  id_forum
		$query = "SELECT * FROM spip_forum WHERE id_forum=$id_forum";
		$result = spip_query($query);
		if ($row = spip_fetch_array($result)) {
			$id_parent = $row['id_parent'];
			$id_article = $row['id_article'];
			$statut = $row['statut'];
			$titre = $row['titre'];
			$texte = $row['texte'];
			$date_heure = $row['date_heure'];
			$id_auteur = $row['id_auteur'];
			$auteur = $row['auteur'];
			$email_auteur = $row['email_auteur'];
		}
	
	
		if ($statut == 'publie') {
		
			// Recherche de l'auteur du message parent
			if ($id_parent>0) {
				$query = "SELECT * FROM spip_forum WHERE id_forum=$id_parent";
				$result = spip_query($query);
				if ($row = spip_fetch_array($result)) {
					$id_auteur_parent = $row['id_auteur'];
					$nom_auteur_parent = $row['auteur'];
					$email_auteur_parent = $row['email_auteur'];
				}
				
				// Si l'auteur est connu dans la base
				if ($id_auteur_parent>0) {
					$result = spip_query("SELECT * FROM spip_auteurs WHERE id_auteur=".$id_auteur_parent);
					if ($row = spip_fetch_array($result)) {
						$nom_auteur_parent = $row['nom'];
						$email_auteur_parent = $row['email'];
						$statut_auteur_parent = $row['statut'];
					}
				}		
			}		
	
	
			// L'auteur du message parent est-il affect  l'article ?
			// si oui, ne rien envoyer car il recevra dj un message
			if ($id_auteur_parent>0) {
				$result = spip_query("SELECT * FROM spip_auteurs_articles WHERE id_article=$id_article AND id_auteur=$id_auteur_parent");
				if (spip_num_rows($result)>0) {
					$email_auteur_parent = '';
				}
			} else {
				if (!$email_auteur_parent=='') {
					$result = spip_query("SELECT auteurs.email FROM spip_auteurs AS auteurs, spip_auteurs_articles AS lien
								WHERE lien.id_article=$id_article AND auteurs.id_auteur=lien.id_auteur");
					while ($row = spip_fetch_array($result)) {
						if ($email_auteur_parent==$row['email'])
							$email_auteur_parent = ''; 
					}
				}
			}
			
			
			// Eviter le cas du message non publi
			if (!$email_auteur_parent=='') {
		
				if (function_exists('generer_url_forum'))
					$url = generer_url_forum($id_forum);
				else {
					$url = generer_url_article($id_article);
				}
			
				$adresse_site = lire_meta("adresse_site");
				$url = $adresse_site .'/' .  ereg_replace('^/', '', $url);
			
				$sujet = "[" .
				  entites_html(textebrut(typo(lire_meta("nom_site")))) .
				  "] ["._T('forum_forum')."] $titre";
				
				$libemail='';
				if ($email_auteur!='') 
					$libemail = ' <' . $email_auteur . '>';
					
				$parauteur = (strlen($auteur) <= 2) ? '' :
				  (" " ._T('forum_par_auteur', array('auteur' => $auteur)) . $libemail);

				$corps = _T('form_forum_message_auto') .
					"\n\n" .
					_T('forum_poste_par', array('parauteur' => $parauteur)).
					"\n"
				  	. _T('forum_ne_repondez_pas')
				  	. "\n"
					. $url
					. "\n\n\n".$titre."\n\n".textebrut(propre($texte));
	
				$email_auteur_parent = trim($email_auteur_parent);
				envoyer_mail($email_auteur_parent, $sujet, $corps) ;
			}
		}
	}
}


?>