<?php

// Ce fichier ne sera execute qu'une fois
if (defined("_ECRIRE_GISEH_MOTCLE")) return;
define("_ECRIRE_GISEH_MOTCLE", "1");

include_once("inc_version.php3");
include_ecrire("inc_mail.php3");
include_ecrire("_giseh_inc_ari.php3");
include_ecrire("_giseh_inc_base.php3");

//---------------------------------------------------------------------------------------------------------------------
// Ajout d'un mot cl
// syntaxe du tableau $cimots : type, titre, descriptif
// Par exemple, pour ajouter le mot-cl "transport arien" dans le groupe "Thmes nationaux T - Z"
// et le mot-cl "administration" dans le groupe "Thmes nationaux A - C"
//	$cimots = array("'Thmes nationaux T - Z','transport arien',''","'Thmes nationaux A - C','administration',''");
//---------------------------------------------------------------------------------------------------------------------
function ci_ajout_motcle($cimots) {
	
	$ciajoutok=false;
	$cigroupeok=true;

	$citab_groupe_mot_tech=citab_groupe_mot_tech();
	$citab_groupe_mot_nat=citab_groupe_mot_nat();
	
	$citab_idgroupe=array();	
	$result = spip_query('SELECT * FROM spip_groupes_mots');
	while ($row = spip_fetch_array($result)) {
		$citab_idgroupe[$row['titre']] = $row['id_groupe'];
	}					
	
	
	while (list(, $val) = each($cimots)) {
				
		$cirow = explode(',',$val);
		
		$cimot=substr(trim($cirow[1]),1,-1);
		$cigroupe=substr(trim($cirow[0]),1,-1);
		$cidescriptif = "";
		if (isset($cirow[2])){
			if (strlen(trim($cirow[2]))>2) $cidescriptif = substr(trim($cirow[2]),1,-1);
		}

		if (isset($citab_idgroupe[$cigroupe])) {
			$id_groupe = $citab_idgroupe[$cigroupe];
		} else {
			// si le groupe n'existe pas, le creer
			$query = 'INSERT IGNORE spip_groupes_mots (id_groupe, titre, unseul, obligatoire, articles, breves, rubriques, syndic, minirezo, comite, forum, maj) VALUES ';
			if (isset($citab_groupe_mot_tech[$cigroupe])) {
				$query.="('','".$cigroupe."',".$citab_groupe_mot_tech[$cigroupe].",20061011114723)";
			} elseif (isset($citab_groupe_mot_nat[$cigroupe])) {
				$query.="('','".$cigroupe."',".$citab_groupe_mot_nat[$cigroupe].",20061011114723)";
			} else {
				$query.='("", "'.$cigroupe.'", "", "", "oui", "", "oui", "", "oui", "oui", "non", 20061011114723)';
			}
			$result = spip_query($query);
			if (mysql_affected_rows()>0) {
				ci_log("spip_groupes_mots - insert - ".$cigroupe);
				$result = spip_query('SELECT * FROM spip_groupes_mots WHERE titre="'.$cigroupe.'"');
				if ($row = spip_fetch_array($result)) 
					$id_groupe = $row['id_groupe'];
			} else {
				$cigroupeok=false;
			}
			
		}	
		if ($cigroupeok) {
			// si le mot n'existe pas, le creer
			$result = spip_query('SELECT * FROM spip_mots WHERE titre="'.$cimot.'"');
			if (spip_num_rows($result)>0) {
				$ciajoutok=true;
			} else {
				$query = "INSERT IGNORE spip_mots (id_mot, type, titre, descriptif, texte, id_groupe, maj) VALUES ".
				"('', '".$cigroupe."', '".$cimot."', '".$cidescriptif."', '', ".$id_groupe.", 20061011114723)";
				$result = spip_query($query);
				if (mysql_affected_rows()>0) {
					ci_log("spip_mots - insert - ".$cimot);
					$ciajoutok=true;
				}
			}		
		}
	}
	return $ciajoutok;
}

//---------------------------------------------------------------------------------------------------------------------
// Ajout d'un format de pice jointe
//---------------------------------------------------------------------------------------------------------------------
//----- Debut ajout CI (flv) -----	
// function ci_ajout_format($extension,$titre,$inclus) {
function ci_ajout_format($extension,$titre,$inclus,$mime_type='') {
//----- Fin ajout CI -----	

	if ($extension){
		$query= "SELECT * FROM spip_types_documents WHERE extension='".$extension."'";	
		$result = spip_query($query);
		if (spip_num_rows($result)<1) {
//----- Debut ajout CI (flv) -----	
//			$query2="INSERT IGNORE spip_types_documents (extension, titre, inclus) VALUES ('".$extension."', '".$titre."', '".$inclus."')";	
			$query2="INSERT IGNORE spip_types_documents (extension, titre, inclus, mime_type) VALUES ('".$extension."', '".$titre."', '".$inclus."', '".$mime_type."')";	
//----- Fin ajout CI -----	
			$result = spip_query($query2);
			if (mysql_affected_rows()>0) ci_log("spip_types_documents - insert - ".$extension);
		} else {
			 ci_log("spip_types_documents - ".$extension." - existe deja");
		}
	}	
	
	return true;
}

//---------------------------------------------------------------------------------------------------------------------
// Inscription dans les logs, envoi de message et si russite mise  jour des meta 
//   $versionmc : numro de version (exemple "210000")
//   $ciok : true si migration russie et false en cas d'chec
//---------------------------------------------------------------------------------------------------------------------
function cimigration_meta_log_mail($versionmc, $ciok){
	if ($ciok) {
		ecrire_meta('equip_motcle_version', $versionmc);
		ecrire_metas();
		ci_log("Mots cles mis a jour - version ".$versionmc);
	} else {
		if (!file_exists('data/_infomsg'.$versionmc)) {
			ci_log("ECHEC de la mise a jour des mots cles vers la version ".$versionmc);
			$texte = "Do not remove";
			$fd = fopen('data/_infomsg'.$versionmc, "wb");
			fputs($fd, $texte);
			fclose($fd);
		}	
	}
	return;
}


//---------------------------------------------------------------------------------------------------------------------
// Mise  jour des mots cls selon le numro de version des mots-cls
// en repassant par l'historique des volutions
//---------------------------------------------------------------------------------------------------------------------
function ci_maj_motcle() {
	$cimajok=true;

	
	if (!defined('_CI_HEBERG_SEN')) {
		if (!(intval(lire_meta('equip_motcle_version'))> 10)) {
			ci_remplir_mots_cles();
		}
	}
	
	if ( intval(lire_meta('equip_motcle_version')) <  210002 ) {

		
		// autoriser la gnration de miniature des images
		ecrire_meta('gd_formats', 'jpg,gif,png');
		ecrire_meta('creer_preview', 'oui');
		ecrire_meta('taille_preview', '44');
		ecrire_metas();

		
		// PJ : autoriser le format  dot  et  svg 
		ci_ajout_format('svg', 'SVG', 'non', '');
		ci_ajout_format('dot', 'DOT', 'non', '');
	

		if ($cimajok) {
			// Ajouter le mot-cl "transport arien" dans le groupe "Thmes nationaux T - Z"			
			$cimots = array("'Thmes nationaux T - Z', 'transport arien', ''");
			$cimajok=ci_ajout_motcle($cimots);
		}			

		// Ajouter le mot-cl "_par_ordre_alphabetique" dans le groupe "_articles_ordre_de_tri"		
		// Ajouter le mot-cl "_masquer_dans_plan" dans le groupe "_affichage_rubrique"		
		// Ajouter le mot-cl "_reagir" dans le groupe "_affichage_article"		
		// Ajouter le mot-cl "_reader_acrobat_ou_autre" dans le groupe "_affichage_article" s'il n'existe pas dj	
		// Ajouter le mot-cl "_sansarticle" dans le groupe "_forme_rubrique"
		// Ajouter le mot-cl "_portail_dossiers_rub" dans le groupe "_affichage_rubrique"						
		// Ajouter le mot-cl "_souspageaccueil_centre_rub" dans le groupe "_affichage_rubrique"						
		$cimots = array("'_articles_ordre_de_tri', '_par_ordre_alphabetique', 'Tri des articles par ordre alphabtique de titre'",
		"'_affichage_rubrique', '_masquer_dans_plan', 'Masque cette rubrique dans le plan du site'",
		"'_affichage_article', '_reagir', 'Les visiteurs pourront ragir sur cet article'",
		"'_affichage_article', '_reader_acrobat_ou_autre', 'Outils : raccourci relatif  Acrobat reader ou autre'",
		"'_forme_rubrique', '_sansarticle', 'Les sous rubriques et les articles ne sont pas affichs'",
		"'_affichage_rubrique', '_portail_dossiers_rub', 'Page d\accueil : raccourci dans la colonne centrale (\"dossiers\" ...)'",
		"'_affichage_rubrique', '_souspageaccueil_centre_rub', 'Sous page d\accueil : raccourci dans la colonne centrale (\"dossiers\" ...)'");
		$cimajok=ci_ajout_motcle($cimots);		
		cimigration_meta_log_mail("210002", $cimajok);
	}

	
	if ( intval(lire_meta('equip_motcle_version')) <  220000 ) {
		
		// PJ : autoriser les formats "odt", "ods", "odp", "odg", "odb", "odf", "ots", "otp", "oft", "dwf", "ttf", "ott", "pps"
		// si le format n'existe pas, le creer
		ci_ajout_format('odt','ODT','non', '');
		ci_ajout_format('ods','ODS','non', '');
		ci_ajout_format('odp','ODP','non', '');
		ci_ajout_format('odg','ODG','non', '');
		ci_ajout_format('odb','ODB','non', '');
		ci_ajout_format('odf','ODF','non', '');
		ci_ajout_format('ots','OTS','non', '');
		ci_ajout_format('otp','OTP','non', '');
		ci_ajout_format('oft','OFT','non', '');
		ci_ajout_format('dwf','DWF','non', '');
		ci_ajout_format('ttf','TTF','non', '');
		ci_ajout_format('ott','OTT','non', '');
		ci_ajout_format('pps','PPS','non', '');
		
		// Ajouter des mots-cls
		$cimots = array("'_acces_restreint', '_acces_indiv', 'Espace collaboratif (selon les droits d\'accs)'",
		"'_forme_article', '_questionner', 'Formulaire pour poser une question'",
		"'_forme_article', '_questano', 'Formulaire pour envoyer un message anonyme'",
		"'_forme_rubrique', '_faq', 'FAQ'",
		"'_forme_article', '_wiki', 'Article modifiable par tous depuis le site public'",
		"'_forme_article', '_chat', 'Chat'",
		"'_forme_article', '_portail_commentaire', 'Page daccueil : affichage du dernier commentaire'");
		$cimajok=ci_ajout_motcle($cimots);		
		cimigration_meta_log_mail("220002", $cimajok);
	}
	
	
	if ( intval(lire_meta('equip_motcle_version')) ==  220000 ) {
		ci_ajout_format('pps','PPS','non', '');
		// Ajouter un mot-cl
		$cimots = array("'_forme_article', '_questano', 'Formulaire pour envoyer un message anonyme'");
		$cimajok=ci_ajout_motcle($cimots);
		cimigration_meta_log_mail("220002", true);
	}	
	
	if ( intval(lire_meta('equip_motcle_version')) <  220100 ) {
		// Pices-jointes : ajouter le format "csv"
		ci_ajout_format('csv','CSV','non', '');
		// Ajouter un mot-cl
		$cimots = array("'_forme_article', '_signature', 'Article avec recueil de signatures'");
		$cimajok=ci_ajout_motcle($cimots);
		cimigration_meta_log_mail("220100", true);
	}	
	
//----- Debut ajout CI (flv) -----	
	if ( intval(lire_meta('equip_motcle_version')) <  220300 ) {
		// Pices-jointes : ajouter le format "flv"
		ci_ajout_format('flv','FLV','embed','application/x-shockwave-flash');
		cimigration_meta_log_mail("220200", true);
	}	
//----- Fin ajout CI -----	

	if ( intval(lire_meta('equip_motcle_version')) <  240000 ) {
		// Pices-jointes : ajouter d'autres formats openoffice
		ci_ajout_format('stw','STW','non', 'application/vnd.sun.xml.writer.template');
		ci_ajout_format('stc','STC','non', 'application/vnd.sun.xml.calc.template');
		ci_ajout_format('sti','STI','non', 'application/vnd.sun.xml.impress.template');
		ci_ajout_format('odc','ODC','non', 'application/vnd.oasis.opendocument.chart');
		ci_ajout_format('odi','ODI','non', 'application/vnd.oasis.opendocument.image');
		ci_ajout_format('odm','ODM','non', 'application/vnd.oasis.opendocument.text-master');
		cimigration_meta_log_mail("240000", true);
	}	

	if ( intval(lire_meta('equip_motcle_version')) <  241100 ) {
		// agrandir le champ "valeur" de spip_meta (comme SPIP 1.9)
		spip_query("ALTER TABLE spip_meta CHANGE `valeur` `valeur` TEXT");
		cimigration_meta_log_mail("241100", true);
	}
	
	if ( intval(lire_meta('equip_motcle_version')) <  241300 ) {
		$cimots = array("'_forme_article', '_phototheque', 'Photothque'");
		$cimajok=ci_ajout_motcle($cimots);
		cimigration_meta_log_mail("241300", true);
	}	
	

	return $cimajok;
}

?>