<?php

// Ce fichier ne sera execute qu'une fois
if (defined("_ECRIRE_GISEH_MULTISITE")) return;
define("_ECRIRE_GISEH_MULTISITE", "1");

include_once("inc_version.php3");


// Vrification des mots-cls multisites et cration le cas chant
Function cimotsclesmultisites() {
	
	$cimots = $GLOBALS['ciconfig']['cilistedessites'];
	$cinombre=count($cimots);

	$cicreationgroupe=false;

	if ($cinombre>0) {
		$cilistesql = implode("', '",$cimots);
		$result = spip_query("SELECT * FROM spip_mots WHERE titre IN ('".$cilistesql."')");
		if (spip_num_rows($result)<$cinombre) {

			$cimajok=true;
		
			$cigroupe = '_a_publier_sur_le_site';
			$result = spip_query("SELECT * FROM spip_groupes_mots WHERE titre='".$cigroupe."'");
			if ($row = spip_fetch_array($result)) {
				$id_groupe = $row['id_groupe'];
			} else {
				// si le groupe n'existe pas, le creer
				$query = "INSERT IGNORE spip_groupes_mots (id_groupe, titre, unseul, obligatoire, articles, breves, rubriques, syndic, minirezo, comite, forum, maj) VALUES ".
			"('', '$cigroupe', '', 'oui', '', '', 'oui', '', 'oui', '', 'non', 20040505073501)";
				$result = spip_query($query);
				if (mysql_affected_rows()>0) {
					ci_log("spip_groupes_mots - insert - ".$cigroupe);
					$result = spip_query("SELECT * FROM spip_groupes_mots WHERE titre='".$cigroupe."'");
					if ($row = spip_fetch_array($result)) 
						$id_groupe = $row['id_groupe'];
					$cicreationgroupe=true;
				} else {
					$cimajok=false;
				}
				
			}	
		
			if ($cimajok) {
				reset($cimots);
				$cilibelles = $GLOBALS['ciconfig']['cinomdessites'];
				$cinbrelib=count($cilibelles);
				for ($i = 0; $i < $cinombre; $i++) {
					$cimot = $cimots[$i];
					// si le nombre de libells n'est pas gal au nombre de site, mettre le titre en descriptif
					if ($cinbrelib=$cinombre) {
						$cilibelle = $cilibelles[$i];
					} else {
						$cilibelle=$cimot;
					}
				
					// si le mot n'existe pas, le creer
					$result = spip_query("SELECT * FROM spip_mots WHERE titre='".$cimot."'");
					if (spip_num_rows($result)<1) {
						$cititre=addslashes($cimot);
						$cidescriptif=addslashes($cilibelle);
						$query = "INSERT IGNORE spip_mots (id_mot, type, titre, descriptif, texte, id_groupe, maj) VALUES ".
						"('', '$cigroupe', '$cititre', '$cidescriptif', '', ".$id_groupe.", 20040505133521)";
						$result = spip_query($query);
						if (mysql_affected_rows()>0) {
							ci_log("spip_mots - insert - ".$cititre. " - ".$cidescriptif);
							if (cicreer_repertoire($cimot)){}
						}
					}		
				}

				if ($cicreationgroupe){
					cimonoversmultisites();
				}
			}
		} else {
			// vrification des sous repertoires
			reset($cimots);
			for ($i = 0; $i < $cinombre; $i++) {
				$cimot = $cimots[$i];
				if (cicreer_repertoire($cimot)){}			
			}
			
		}
	}
}

//
// Retourne true si le sous-repertoire d'un multisite sous IMG peut etre cree, false sinon
//
function cicreer_repertoire($subdir) {
	
	$ciflag_ecrire = !file_exists('./ecrire/inc_version.php3');
	
	if ($ciflag_ecrire) {
			$base='../IMG';
	} else {
			$base='IMG';
	}

	
	if (file_exists("$base/.plat")) return false;
	$path = $base.'/'.$subdir;
	if (file_exists($path)) return true;

	@mkdir($path, 0777);
	@chmod($path, 0777);
	$ok = false;
	if ($f = @fopen("$path/.test", "w")) {
		@fputs($f, '<'.'?php $ok = true; ?'.'>');
		@fclose($f);
		include("$path/.test");
	}
	if (!$ok) {
		$f = @fopen("$base/.plat", "w");
		if ($f) {
			fclose($f);
		}
	}
	return $ok;
}


// Il s'agit d'affecter aux rubriques existantes le mots-cl correspondant au site existant
Function cimonoversmultisites() {

	if (cilire_config("cimonoversmultisites")=="oui" AND cilire_config("cimultisites")=="oui" AND cilire_config("ciIMG")=="IMG") {
		$cisiteexistant =cilire_config("cisiteexistant");
		if (!$cisiteexistant=="") {
			$result = spip_query("SELECT * FROM spip_mots WHERE titre='".$cisiteexistant."'");
			if ($row = spip_fetch_array($result)) {
				$ciidmot = $row['id_mot'];
				
				// verifier si le mot n'est pas deja affecte a au moins une rubrique
				$result = spip_query("SELECT * FROM spip_mots_rubriques WHERE id_mot=".$ciidmot);
				if (spip_num_rows($result)<1) {
				 	$ciresult=spip_query("SELECT * FROM spip_rubriques");			
					while($row=spip_fetch_array($ciresult)){
						$cilistesql.="(".$ciidmot.", ".$row['id_rubrique']."),";
					}
					if ($cilistesql){
						$cilistesql = substr($cilistesql, 0, -1);
						$result = spip_query("INSERT IGNORE spip_mots_rubriques (id_mot, id_rubrique) VALUES ".$cilistesql);
						if (mysql_affected_rows()>0) ci_log("spip_mots_rubriques - insert - ".$cisiteexistant);
					}
				} else {
					 ci_log("spip_mots_rubriques - ".$cisiteexistant." - existe deja");
				}
									
			}				
		}
	}
}




		
if (cilire_config("cimultisites")=="oui" AND cilire_config("ciIMG")=="IMG") {
	if ($GLOBALS['ciconfig']['cilistedessites'] AND $GLOBALS['ciconfig']['cinomdessites']) {
		if (is_array($GLOBALS['ciconfig']['cilistedessites']) AND is_array($GLOBALS['ciconfig']['cinomdessites'])){
			cimotsclesmultisites();
		}
	}
}


?>
