<?php

include ("inc.php3");
include_ecrire ("inc_abstract_sql.php3");

$id_rubrique = intval($id_rubrique);


if (($id_article==0) AND ($id_rubrique==0)) {
	redirige_par_entete("./index.php3");
}

//=========================== Cas d'un article ===================================================
if ($id_article>0) {
	$clean_link = new Link("articles.php3?id_article=$id_article");
	


	//////////////////////////////////////////////////////
	// Determiner les droits d'edition de l'article
	//
	
	$query = "SELECT statut, titre, id_rubrique FROM spip_articles WHERE id_article=$id_article";
	$result = spip_query($query);
	if ($row = spip_fetch_array($result)) {
		$statut_article = $row['statut'];
		$titre = $row['titre'];
		$rubrique_article = $row['id_rubrique'];
	}
	else {
		$statut_article = '';
	}
	
	$query = "SELECT * FROM spip_auteurs_articles WHERE id_article=$id_article AND id_auteur=$connect_id_auteur";
	$result_auteur = spip_query($query);
	
	$flag_auteur = (spip_num_rows($result_auteur) > 0);
	//----------------- Debut ajout CI (statut ciredval) ---------------------------
	// $flag_editable = (acces_rubrique($rubrique_article)
	//	OR ($flag_auteur AND ($statut_article == 'prepa' OR $statut_article == 'prop' OR $statut_article == 'poubelle')));
	$flag_editable = ((acces_rubrique($rubrique_article) AND $connect_statut == '0minirezo')
		OR ($flag_auteur AND ($statut_article == 'prepa' OR $statut_article == 'prop' OR $statut_article == 'poubelle')));
	$flag_editable = ($flag_editable OR (ci_connect_ciredval($rubrique_article) AND $flag_auteur));
	//----------------- Fin ajout CI -----------------------------------------------------
	
	//--------- Debut ajout CI (cloisonnement_ep) ---------------------
	$ciflag_lecture = (ci_lecture_rubrique($rubrique_article)
		OR ($flag_auteur AND ($statut_article == 'prepa' OR $statut_article == 'prop' OR $statut_article == 'poubelle')));
	//----------------- Debut ajout CI (statut ciredval) -----
	$ciflag_lecture = ($ciflag_lecture OR (ci_connect_ciredval($rubrique_article) AND $flag_auteur));
	//----------------- Fin ajout CI -------------------------
	
	if (!$ciflag_lecture) {
			@header("Location: ./index.php3");
			exit;
	}
	//--------- Fin ajout CI ---------------------
	
	
	//--------- Debut ajout CI (enlever les guillemets dans le titre de la page) ---------------------
	// debut_page("&laquo; $titre_article &raquo;", "documents", "articles");
	debut_page(" $titre_article ", "documents", "articles");
	//--------- Fin ajout CI ---------------------
	
	debut_grand_cadre();
	afficher_hierarchie($id_rubrique);
	fin_grand_cadre();
	
	
	//////////////////////////////////////////////////////
	// Affichage de la colonne de gauche
	//
	
	debut_gauche();
	
	debut_boite_info();
	
	echo "<div align='center'>\n";
	echo "<font face='Verdana,Arial,Sans,sans-serif' size='1'><b>"._T('info_numero_article')."</b></font>\n";
	echo "<br><font face='Verdana,Arial,Sans,sans-serif' size='6'><b>$id_article</b></font>\n";
	echo "</div>\n";
	
	fin_boite_info();
	
	
	//////////////////////////////////////////////////////
	// Affichage de la colonne de droite
	//
	
	debut_droite();
	
	changer_typo('','article'.$id_article);
	
	debut_cadre_relief();
	
	//
	// Titre, surtitre, sous-titre
	//
	
	$logo_statut = "puce-".puce_statut($statut_article).".gif";
	
	echo "\n<table cellpadding=0 cellspacing=0 border=0 width='100%'>";
	echo "<tr width='100%'><td width='100%' valign='top'>";
		gros_titre($titre, $logo_statut);
	echo "</td>";
	
	if ($flag_editable) {
	  echo "<td>". http_img_pack('rien.gif', " ", "width='5'") . "</td>\n";
		echo "<td align='center'>";
			icone(_T('icone_modifier_article'), "articles_edit.php3?id_article=$id_article", "article-24.gif", "edit.gif");
		echo "</td>";
	}
	echo "</tr></table>\n";
	echo "<div>&nbsp;</div>";
	echo "<div class='serif' align='$spip_lang_left'>";


	
	

	
//=========================== Cas d'une rubrique ===================================================
} elseif ($id_rubrique>0) {
	$clean_link = new Link("naviguer.php3?id_rubrique=$id_rubrique");
	$clean_link->addVar('modifier_rubrique', 'oui');
	
	
	$flag_editable = ($connect_statut == '0minirezo' AND (acces_rubrique($id_rubrique)));
	 // id_parent necessaire en cas de creation de sous-rubrique

	//--------- Debut ajout CI (cloisonnement_ep) -----
	if ($id_rubrique) {
		if (!ci_lecture_rubrique($id_rubrique)) {
				@header("Location: ./index.php3");
				exit;
		}
	}
	//--------- Fin ajout CI --------------------------
	
	//
	// infos sur cette rubrique
	//
	
	if ($row=spip_fetch_array(spip_query("SELECT * FROM spip_rubriques WHERE id_rubrique='$id_rubrique'"))){
		$id_rubrique=$row['id_rubrique'];
		$id_parent=$row['id_parent'];
		$titre=$row['titre'];
		$descriptif=$row['descriptif'];
		$langue_rubrique = $row['lang'];
	}
	
	if ($titre)
		$titre_page = "&laquo; ".textebrut(typo($titre))." &raquo;";
	else
		$titre_page = _T('titre_naviguer_dans_le_site');
	
	
	///// debut de la page
	debut_page($titre_page, "documents", "rubriques");
	
	
	//////// parents
	
	
	debut_grand_cadre();
	
	if ($id_rubrique  > 0) {
		afficher_hierarchie($id_parent);
	}
	
	fin_grand_cadre();
	
	changer_typo('', 'rubrique'.$id_rubrique);
	
	
	debut_gauche();
	
	if ($spip_display != 4) {
		if ($id_rubrique > 0) {
			debut_boite_info();
			echo "<CENTER>";
			echo "<FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=1><B>"._T('titre_numero_rubrique')."</B></FONT>";
			echo "<BR><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=6><B>$id_rubrique</B></FONT>";
			echo "</CENTER>";		
			fin_boite_info();
		}
	}
	
	debut_droite();
	
	
	if ($id_rubrique == 0) {
		$nom_site = lire_meta("nom_site");
		$titre = _T('info_racine_site').": ".$nom_site;
	}
	
	if ($id_rubrique ==  0) $ze_logo = "racine-site-24.gif";
	else if ($id_parent == 0) $ze_logo = "secteur-24.gif";
	else $ze_logo = "rubrique-24.gif";
	
	
	debut_cadre_relief($ze_logo);
	
	echo "\n<table cellpadding=0 cellspacing=0 border=0 width='100%'>";
	echo "<tr width='100%'><td width='100%' valign='top'>";
	gros_titre((!acces_restreint_rubrique($id_rubrique) ? '' :
		   http_img_pack("admin-12.gif",'', "width='12' height='12'",
				 _T('info_administrer_rubrique'))) .
		   $titre);
	echo "</td>";
	
	if ($id_rubrique > 0 AND $flag_editable) {
		echo "<td>", http_img_pack("rien.gif", ' ', "width='5'") ."</td>\n";
		echo "<td  align='$spip_lang_right' valign='top'>";
		icone(_T('icone_modifier_rubrique'), "rubriques_edit.php3?id_rubrique=$id_rubrique&retour=nav", $ze_logo, "edit.gif");
		echo "</td>";
	}
	echo "</tr>\n";
	
	
	echo "</table>\n";
	
	
}	
	



//=========================== Formulaire ===================================================
//
// Formulaire de tlchargement de plusieurs documents
//
if ($flag_editable) {
	echo "<P>";
	echo debut_cadre_relief("image-24.gif", false, "", _T('ci_titre_joindre_plusieurs_documents'));
	if (defined('_CI_HEBERG_SEN')) {
		echo _T('ci_poids_maxi');
	}
	echo "<br>";
	$hash= calculer_action_auteur("ajout_doc");
	$redirect = $clean_link->getUrl();

	echo "\n<br><form action='../spip_image.php3' method='post' enctype='multipart/form-data' name='f_style' id='f_style'>";
	echo "\n<INPUT NAME='redirect' TYPE=Hidden VALUE='$redirect'>";
	echo "\n<INPUT NAME='hash_id_auteur' TYPE=Hidden VALUE='$connect_id_auteur'>";
	echo "\n<INPUT NAME='hash' TYPE=Hidden VALUE='$hash'>";
	echo "\n<INPUT NAME='ajout_doc' TYPE=Hidden VALUE='oui'>";
	echo "\n<INPUT NAME='mode' TYPE=Hidden VALUE='document'>";
	if ($id_article>0) {
		echo "\n<INPUT NAME='id_article' TYPE=Hidden VALUE='$id_article'>";
		echo "\n<INPUT NAME='type' TYPE=Hidden VALUE='article'>";
	} elseif ($id_rubrique>0) {
		// pour SPIP ilo faut laisser id_article dans NAME
		echo "\n<INPUT NAME='id_article' TYPE=Hidden VALUE='$id_rubrique'>";
		echo "\n<INPUT NAME='type' TYPE=Hidden VALUE='rubrique'>";
	}	
	echo "\n<input name='cifichier1' type='File' class='forml' style='font-size:9px;' size='55'><br>";
	echo "\n<input name='cifichier2' type='File' class='forml' style='font-size:9px;' size='55'><br>";
	echo "\n<input name='cifichier3' type='File' class='forml' style='font-size:9px;' size='55'><br>";
	echo "\n<input name='cifichier4' type='File' class='forml' style='font-size:9px;' size='55'><br>";
	echo "\n<input name='cifichier5' type='File' class='forml' style='font-size:9px;' size='55'><br>";
	echo "\n<input name='cifichier6' type='File' class='forml' style='font-size:9px;' size='55'><br>";
	echo "\n<input name='cifichier7' type='File' class='forml' style='font-size:9px;' size='55'><br>";
	echo "\n<input name='cifichier8' type='File' class='forml' style='font-size:9px;' size='55'><br>";
	echo "\n<input name='cifichier9' type='File' class='forml' style='font-size:9px;' size='55'><br>";
	echo "\n<input name='cifichier10' type='File' class='forml' style='font-size:9px;' size='55'><br>";

	echo "\n<div align='right'><input type='submit' value='T&eacute;l&eacute;charger' id='validform' class='fondo'></div>";
	echo "\n</form>";
	echo fin_cadre_relief();
}


fin_page();

?>
