<?php

include_once("ecrire/inc_version.php3");
include_ecrire("inc_session.php3");
include_ecrire('inc_connect.php3');
include_ecrire("inc_texte.php3");
include_ecrire("inc_filtres.php3");
include_ecrire('_giseh_inc_ari.php3');
include_ecrire('_giseh_inc_auth.php3');
include_ecrire('inc_mail.php3');
include("inc-calcul.php3");


if ($HTTP_COOKIE_VARS['spip_session']) {
	// ncessaire pour inc-calcul
	if (verifier_visiteur()){
		$cilogin = $GLOBALS['auteur_session']['login'];
		$connect_statut=$GLOBALS['auteur_session']['statut'];
		$connect_id_auteur=$GLOBALS['auteur_session']['id_auteur'];		
	}
} else {
	$ciurl = urlencode($clean_link->getUrl());
	@header("Location: ./spip_login.php3?url=$ciurl");
	exit;
}


// securite
$ciflag_lecture=false;
$id_article = intval($_POST['id_article']);
$id_document = intval($_POST['id_document']);
$titre_article="";

if ($id_article) {
	// l'article est-il un wiki
   	$querym = "SELECT mots.* FROM spip_mots AS mots,spip_mots_articles AS rel_mots WHERE mots.titre<>'kawax' AND mots.id_mot=rel_mots.id_mot AND rel_mots.id_article=".$id_article." AND mots.titre='_wiki'";
	$resultm = spip_query($querym);
	
	if ($resultm AND spip_num_rows($resultm)>0) {
		
		// l'auteur a-t-il le droit d'accs  l'article sur le site public (protection contre les hack d'url)
		$cilisterubriques = ciaccessrubec();
		
		$query = "SELECT id_article, titre, texte,auteur_modif  FROM spip_articles WHERE id_article=$id_article AND id_rubrique NOT IN ".$cilisterubriques;
		$result = spip_query($query);
	
		if ($row = spip_fetch_array($result)) {
			$titre_article=$row['titre'];
			$ciflag_lecture = true;
		}		
		
		// si larticle WIKI est dans un EC, il sera modifiable sur le site public selon les mmes droits daccs que dans lespace priv (interdit aux visiteurs)
	   	$querya = "SELECT id_rubrique FROM spip_articles WHERE id_article=".$id_article;
		$resulta = spip_query($querya);
		while ($row = spip_fetch_array($resulta)) $ciidrub = $row["id_rubrique"];
		
		if (ci_ari($ciidrub) OR ci_ari_heritage($ciidrub)) {
			if (ci_connect_statut($ciidrub)=='6forum') $ciflag_lecture = false;
		}	
		
	}	
}

if ($ciflag_lecture) {
	
	
	if ($id_article AND $id_document) {
		
		// Autorisation ?
		$hash = $_POST['hash'];
		$hash_id_auteur = $_POST['hash_id_auteur'];
		if (!verifier_action_auteur("ajout_doc", $hash, $hash_id_auteur))
			die ('Interdit');

			
		// Enregistrer le titre et le descriptif	
		$titre = safehtml(ci_secure_titre($_POST['titre']));
		$descriptif = safehtml($_POST['descriptif']);

		$query = "UPDATE spip_documents SET titre='".addslashes($titre)."', descriptif='".addslashes($descriptif)."'";
		$query .= " WHERE id_document=$id_document";
		spip_query($query);

		
		// Enlever les rservations de l'auteur
		$texte="";
		$newtexte="";
		
		$query = "SELECT * FROM spip_articles WHERE id_article=$id_article";
		$result = spip_query($query);
		if ($row = spip_fetch_array($result)) {
			$texte=$row['ps'];
		}
		
		if($connect_id_auteur AND $texte){	
			$oldval=">".strval($connect_id_auteur)."</";
			$newval="></";
			$newtexte=str_replace($oldval,$newval,$texte);			
			
			$query = "UPDATE spip_articles SET ps='$newtexte' WHERE id_article=$id_article";
			$result = spip_query($query);			
		}
		
		
		// Prevenir par mail les auteurs affects  l'article			
		$query = "SELECT spip_auteurs.id_auteur FROM spip_auteurs WHERE spip_auteurs.login='$cilogin'";
		$result = spip_query($query);
		while ($row = spip_fetch_array($result)) {
			$ciauteur = $row["id_auteur"];
		}
				
		$url = ereg_replace('^/', '', "article.php3?id_article=$id_article");
		$adresse_site = lire_meta("adresse_site");
		$nom_site_spip = lire_meta("nom_site");
		$url = "$adresse_site/$url";
		$courr = _T('form_forum_message_auto')."\n\n";
		$courr .= "Dans l'article '".$titre_article."' le document '".$titre."' a t ajout par ".$cilogin." : \n";
		$courr .= "$url\n";
		$sujet = "[$nom_site_spip] $titre";
		$query = "SELECT spip_auteurs.* FROM spip_auteurs, spip_auteurs_articles AS lien WHERE lien.id_article='$id_article' AND spip_auteurs.id_auteur=lien.id_auteur";
		$result = spip_query($query);
		while ($row = spip_fetch_array($result)) {
			$email_auteur = trim($row["email"]);
			if (strlen($email_auteur) < 3) continue;
			envoyer_mail($email_auteur, $sujet, $courr);
		}			
	}
	

	@header("Location: ./article.php3?id_article=".$id_article);
	
} else {
	$fond = "_template/__acces_interdit";
	$delais = 0;
	include ("inc-public.php3");
}	

?>
