<?php

/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
 *                                                                         *
 *  Copyright (c) 2001-2008                                                *
 *  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
 *  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/

if (!defined("_ECRIRE_INC_VERSION")) return;


function giseh_action_editer_article_calendrier($array_droits,$connect_id_auteur,$connect_statut,$cilogin) {

	$return = true;
		
	$ci_id_article = _cireqsecure('id_article');
	
	if ($ci_id_article>0) {
		
		// date de l'vnement dans le calendrier
		$dateredaction = _cireqsecure('dateredaction');
		$supprimer = _cireqsecure('supprimer');
		
		if (!$supprimer OR $supprimer!='supprimer') {
			if ($dateredaction) {
				$jour = substr($dateredaction,0,2);
				$mois = substr($dateredaction,3,2);
				$annee = substr($dateredaction,6,4);
			
				$date = sprintf("%04s",$annee) . '-' 
					. sprintf("%02s",$mois) . '-'
					. sprintf("%02s",$jour) . ' ' 
					. sprintf("%02s",0) . ':'
					. sprintf("%02s",0) . ':' 
					. sprintf("%02s",0);
				
				cisql_updateq("spip_articles", array("date_redac" => $date), "id_article=$ci_id_article");
				
			} else {
				$return = false;
				$message = "";
				if (!$dateredaction) $message = "Date incorrecte";
				$_POST['form_erreur'] = $message;
			}
			
		} else {
				$date = sprintf("%04s",0) . '-' 
					. sprintf("%02s",0) . '-'
					. sprintf("%02s",0) . ' ' 
					. sprintf("%02s",0) . ':'
					. sprintf("%02s",0) . ':' 
					. sprintf("%02s",0);
					
				cisql_updateq("spip_articles", array("date_redac" => $date), "id_article=$ci_id_article");
		}		
	}

	return $return;
}

?>