<?php

/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
 *                                                                         *
 *  Copyright (c) 2001-2008                                                *
 *  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
 *  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/

if (!defined("_ECRIRE_INC_VERSION")) return;

include_ecrire("inc_texte.php3");
include_ecrire("inc_filtres.php3");

function giseh_action_editer_article_redirection($array_droits,$connect_id_auteur,$connect_statut,$cilogin) {

	$return = true;
	
	$ci_id_article = _cireqsecure('id_article');
	
	if ($ci_id_article>0) {
	
		$supprimer = _cireqsecure('supprimer');
		
		// article redirection	
		$chapo = "";
		if (!$supprimer OR $supprimer!='supprimer') {		
			$ci_virtuel = _cireqsecure('virtuel');
			$ci_virtuel = eregi_replace("^http://$", "", trim($ci_virtuel));
			// sans addslash car la couche d'abstraction s'en occupe
			if ($ci_virtuel) $chapo = corriger_caracteres("=$ci_virtuel");
		}
		cisql_updateq("spip_articles", array("chapo" => $chapo), "id_article=$ci_id_article");
	
	}	
	return $return;
}
?>