<?php

// Ce fichier ne sera execute qu'une fois
if (defined("_MES_FONCTIONS")) return;
define("_MES_FONCTIONS", "1");


/*-----------------------------------------------------------------
// Balises propres  GISEH
// SPIP 1.8 permet de les placer dans le fichier mes_fonctions.php3
------------------------------------------------------------------*/

function balise_EQUIP_MENU($p) {
	$p->code = "ciequip_menu(\$Pile,\$SP)";
	$p->statut = 'html';
	return $p;
}

//---------- Debut ajout CI (volumetrie rubrique) -----
function balise_EQUIP_RUBART($p) {
	$p->code = "ciequip_rubart(\$Pile,\$SP)";
	$p->statut = 'html';
	return $p;
}

function balise_EQUIP_PLAN($p) {
	$p->code = "ciequip_plan(\$Pile,\$SP)";
	$p->statut = 'html';
	return $p;
}
//---------- Fin ajout CI ----

function balise_EQUIP_MENU2($p) {
	$p->code = "ciequip_menu2(\$Pile,\$SP)";
	$p->statut = 'html';
	return $p;
}

function balise_EQUIP_MENU_VERTICAL($p) {
	$p->code = "ciequip_menu_vertical(\$Pile,\$SP)";
	$p->statut = 'html';
	return $p;
}

function balise_EQUIP_SCRIPT_MENU($p) {
	$p->code = "ciequip_script_menu()";
	$p->statut = 'html';
	return $p;
}

function balise_EQUIP_CODE_SITE($p) {
	$p->code = "cilire_config('cisite')";
	$p->statut = 'html';
	return $p;
}

function balise_EQUIP_URL_SITE_PJ($p) {
	$p->code = "cilire_config('ciadressesitepiecesjointes')";
	$p->statut = 'html';
	return $p;
}

function balise_EQUIP_CSS($p) {
	$p->code = "ci_url_cssperso('equip_css')";
	$p->statut = 'html';
	return $p;
}



function balise_EQUIP_MOTCLE_ACCUEIL($p) {
	$p->code = "lire_meta('equip_motcle_accueil')";
	$p->statut = 'html';
	return $p;
}

function balise_EQUIP_PREVIEW($p) {
	$p->code = "lire_meta('equip_preview')";
	$p->statut = 'html';
	return $p;
}

function balise_EQUIP_NOM_BANDEAU($p) {
	$p->code = "lire_meta('equip_nom_bandeau')";
	$p->statut = 'html';
	return $p;
}

function balise_EQUIP_ABONNEMENT_XITI($p) {
	$p->code = "lire_meta('equip_abonnement_xiti')";
	$p->statut = 'html';
	return $p;
}

function critere_nombreactu($idb, &$boucles, $crit) {
	$boucle = &$boucles[$idb];
	// respecter la syntaxe des cotes et double cotes
 	$boucle->limit = '"0," . intval(lire_meta("equip_nbactu"))';	  
}


$ci_droit_rubriques = array(
		"id_rubrique"	=> "bigint(21) NOT NULL",
		"id_auteur"	=> "bigint(21) NOT NULL",
		"statut"	=> "VARCHAR(255) NOT NULL");

$ci_droit_rubriques_key = array(
		"KEY id_rubrique"	=> "id_rubrique",
		"KEY id_auteur"	=> "id_auteur");

// spip_log("CI mes fonctions");	
// global $tables_principales;

$tables_principales['spip_ci_droit_rubriques'] = array('field' => &$ci_droit_rubriques, 'key' => &$ci_droit_rubriques_key);

/*
 *   +----------------------------------+
 *    Nom du Filtre : Sommaire de l'article
 *   +----------------------------------+
 *    Date : dimanche 9 fvrier 2003
 *    Auteur :  Noplay (noplay@altern.org)
 *   +-------------------------------------+
 *    Fonctions de ce filtre :
 *      Cette modification permet d'afficher le sommaire de son article
 *      gnr dynamiquement  partir du texte de l'article. Vous pouvez naviguer
 *      dans l'article en cliquant sur les titres du sommaire.
 *      Tous ce qui ce trouve entre {{{ et }}} est considr comme un titre  ajouter au sommaire de l'article.
 *   +-------------------------------------+
 *
 * Pour toute suggestion, remarque, proposition d'ajout
 * reportez-vous au forum de l'article :
 * http://www.uzine.net/spip_contrib/article.php3?id_article=76
 * include_once("inc_meta.php3");
*/
function sommaire_article($texte)
{
	
	preg_match_all("|<h3 class=\"spip\">(.*)</h3>|U", $texte, $regs);
	
	$texte='';
	$texte.='<form name="accestitre" action="Javascript:goToSelectURL(\'accestitre\',\'nom_titre\');" method="get" >';
	$texte.='<select name="nom_titre" id="nom_titre">';
	$texte.='<option value="" selected>Accs direct</option>';
	
	$nb=1;
	
	for($j=0;$j<count($regs[1]);$j++)
	{
	        $item = $regs[1][$j];
	        // met des espaces inscables
	        $item = str_replace(" ","&nbsp;",$item);
	    	$texte=$texte.'<option value="#sommaire_'.$nb.'">'.$item.'</option>';
			$nb++;
	}
	$texte.='</select>';
	$texte.='<input type="submit" name="masquable" value="OK"></input>';
	$texte.='</form>';

	    
    // Ajout CI pour viter la duplication des notes de bas de page
	$GLOBALS["les_notes"] = "";
	$GLOBALS["compt_note"] = 0;
	$GLOBALS["marqueur_notes"] = 0;

    return $texte;
}
function sommaire_article2($texte)
{
	
	preg_match_all("|<h3 class=\"spip\">(.*)</h3>|U", $texte, $regs);
	
	$texte='';
	$texte.='<form name="accestitre2" action="Javascript:goToSelectURL(\'accestitre2\',\'nom_titre2\');" method="get" >';
	$texte.='<select name="nom_titre2" id="nom_titre2">';
	$texte.='<option value="" selected>Accs direct</option>';
	
	$nb=1;
	
	for($j=0;$j<count($regs[1]);$j++)
	{
	        $item = $regs[1][$j];
	        // met des espaces inscables
	        $item = str_replace(" ","&nbsp;",$item);
	    	$texte=$texte.'<option value="#sommaire_'.$nb.'">'.$item.'</option>';
			$nb++;
	}
	$texte.='</select>';
	$texte.='<input type="submit" value="OK"></input>';
	$texte.='</form>';

	    
    // Ajout CI pour viter la duplication des notes de bas de page
	$GLOBALS["les_notes"] = "";
	$GLOBALS["compt_note"] = 0;
	$GLOBALS["marqueur_notes"] = 0;

    return $texte;
}

function sommaire_ancre($texte)
{
	$texte = preg_replace("|<h3 class=\"spip\">(.*)</h3>|U","<a name=\"sommaire_#NB_TITRE_DE_MON_ARTICLE#\" href=\"#top\"></a>$0", $texte);
	$texte = str_replace("<h3 class=\"spip\">","",$texte);
	$texte = str_replace("<a name=\"sommaire_","<h3 class=\"spip\"><a name=\"sommaire_",$texte);
	$array = explode("#NB_TITRE_DE_MON_ARTICLE#" , $texte);
	$res =count($array);
	$i =1;
	$texte=$array[0];
	while($i<$res)
	{
		$texte=$texte.$i.$array[$i];
		$i++;
	}
	
	return $texte;
}

function citexte_sans_http($texte) {
    // supprimer les &nbsp;
    $texte=substr($texte,7);

	return $texte;
}
function citexte_sans_nbsp($texte) {
    // supprimer les &nbsp;
    $texte=str_replace("&nbsp;?","?",$texte);

	return $texte;
}
function citexte_sans_p($texte) {
    // supprimer les <p>, <p class="spip">, </p> 
    $texte=str_replace("<p>","",$texte);
    $texte=str_replace('<p class="spip">','',$texte);
    $texte=str_replace("</p>","",$texte);

	return $texte;
}

function citexte_export($texte) {
    // supprimer les &nbsp;
    $texte=str_replace("&nbsp;","",$texte);

    // supprimer les retour  la ligne d'un texte
    $texte=str_replace(CHR(13),"<br>",$texte);
    $texte=str_replace(CHR(10),"",$texte);

    // mettre des URL entires
    $monurl=lire_meta("adresse_site");
    $texte=str_replace("IMG/", $monurl."/IMG/", $texte);

	return $texte;
}

function xtTraiter($nompage) {
     $nompage = strtolower($nompage);
     $nompage = eregi_replace("[]","a",$nompage);
     $nompage = eregi_replace("[]","i",$nompage);
     $nompage = eregi_replace("[]","o",$nompage);
     $nompage = eregi_replace("[]","u",$nompage);
     $nompage = eregi_replace("[]","e",$nompage);
     $nompage = eregi_replace("[]","a",$nompage);
     $nompage = eregi_replace("[]","i",$nompage);
     $nompage = eregi_replace("[]","o",$nompage);
     $nompage = eregi_replace("[]","u",$nompage);
     $nompage = eregi_replace("[]","e",$nompage);
     $nompage = eregi_replace("[]","c",$nompage);
     $nompage = eregi_replace("[^a-z^0-9^\-_:~\\\/]","_",$nompage);
     return($nompage);
}


function cicamp_gouv($texte) {

	$retour="";
	$camp_gouv=lire_meta("equip_campagne_gouv");	

	if ($camp_gouv){
	
		if ($camp_gouv=="oui"){
/*
			$adresse_site=lire_meta("adresse_site");
		    	if ($adresse_site) $adresse_site=str_replace("http://","",$adresse_site);
			if (substr($adresse_site,-1)=="/") {
				$ci_adresse=$adresse_site;
			} else {
				$ci_adresse=$adresse_site."/";
			}	
*/
			$ci_adresse="www.equipement.gouv.fr/";
			
		//	$retour.=' <!--  '; 
			$retour.=' var oas_server="http://realsig.prosodie.com";';
			$retour.=' var oas_sitepage="'.$ci_adresse.'accueil";';
			$retour.=' var oas_position="Top!Top";';
			$retour.=' var oas_query="?";';
			$retour.=' if (!(RN)) {';
			$retour.=' var RN=new String (Math.random());';
			$retour.=' var RNS=RN.substring (2, 11);';
			$retour.=' }';
			$retour.=" var oas_page=oas_sitepage + '/1' + RNS + '@' + oas_position + oas_query;\n";
			$retour.=" document.write ('<scr'+'ipt type=\"text/javascript\" src=\"' + oas_server + '/3/' + oas_page + '\">');\n";
			$retour.=" document.write ('\<\/scr'+'ipt\>');\n";
		//	$retour.='  // -->';
			$retour.=' </script> <noscript>';
			$retour.=" <a href='http://realsig.prosodie.com/1c/".$ci_adresse."accueil/[RANDOM]@Top1' target='_top'><img src='http://realsig.prosodie.com/1/".$ci_adresse."accueil/[RANDOM]@Top1' border='0'></a>"; 
			$retour.=' </noscript>';
		}	
	}     
    
	return $retour;
}

//--------- Debut ajout CI (rss) ---------------------
function cimime_type($type_document) {

	$retour="";
	if ($type_document) {
		$query="SELECT * FROM spip_types_documents WHERE titre='".$type_document."'";		
		$result = spip_query($query);
		if ($type = @spip_fetch_array($result))	{
			$retour = $type['mime_type'];
		}
	}
	    
	return $retour;
}
//--------- Fin ajout CI ---------------------

function ciantislash($texte) {
    // met des antislash
	$texte=str_replace('/', '\/',$texte);
	return $texte;
}

function ciutf8($texte) {
    // conversion en utf8
	$texte = iso_to_utf8($texte); 
	   
	return $texte;
}


// From http://svn.ilias.uni-koeln.de/wsvn/ILIAS3/trunk/include/inc.convertcharset.php
function iso_to_utf8($str) {
//    if (extension_loaded("mbstring"))
//        return mb_convert_encoding($str, "UTF-8", "auto");;
    
    for($x=0;$x<strlen($str);$x++) {
        $num=ord(substr($str,$x,1));
      if($num<128)
          $xstr.=chr($num); 
      else if($num<1024)
          $xstr.=chr(($num>>6)+192).chr(($num&63)+128);
      else if($num<32768)
          $xstr.=chr(($num>>12)+240).chr((($num>>6)&63)+128).chr(($num&63)+128);
      else if($num<2097152)
          $xstr.=chr($num>>18+240).chr((($num>>12)&63)+128).chr(($num>>6)&63+128).chr($num&63+128);
    }
    return $xstr;
}

function ciequip_script_menu() {
	
	$return = '_js/menu.js';
	
	// css choisie priorit 3
	if (file_exists('ecrire/data/meta_cache.php3')) {
		include_once("ecrire/data/meta_cache.php3");
		if (isset($GLOBALS['meta']['equip_css'])) {
			$cicharte = $GLOBALS['meta']['equip_css'];
		}
	}

	// css impose priorit 2
	if (cilire_config("cicss")!="") {
		$cicharte = cilire_config("cicss");
	}
	
	// css perso priorit 1
	// Non pris en compte car cela ne permet pas de dduire la charte (les priorits 3 et 2 s'appliquent)
	
	
	if ($cicharte) {
		$cipos = strpos($cicharte, "style_site_") + 11;
		$ciextrait = substr($cicharte,$cipos);
		$cipos2 = strpos($ciextrait,"_");
		if (!$cipos2) $cipos2 = strpos($ciextrait,".");
	    $cicharte= substr($ciextrait,0,$cipos2);	
	} else {
		// cas ou aucune CSS n'est slectionne
		if(cilire_config('citypesite')){
			if (cilire_config('citypesite')=='inter') { 
				$cicharte='internet';
			} else {
				$cicharte='intranet';
			}
		}
		if (cilire_config('citypesite')=="inter" AND cilire_config('cibandeau')=="anonyme" ) {
		    $cicharte = "interano";
		}
	}
	
	if ($cicharte) {
		if (@is_readable('_js/'.$cicharte.'__menu.js')) {
			$return = '_js/'.$cicharte.'__menu.js';
		}
	}		
	
	

	return $return;
}


/*
function cisansaccent($text){
	$return = strtr($text,
	      '',
	      'AAAAAACEEEEIIIIOOOOOUUUUYaaaaaaceeeeiiiioooooouuuuyy');
	$return=str_replace("&", "et", $return);
	$return=str_replace("-", " ", $return);
      
return $return;
} 
*/
?>