<?php

/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
 *                                                                         *
 *  Copyright (c) 2001-2005                                                *
 *  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
 *  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/

# script d'acces aux documents joints
# doit etre appele avec un de ces 2 parametres de GET:
# - id_document 
# - file 
# il verifie soit que le demandeur est authentifie
# soit que le fichier est joint  au moins 1 article, breve ou rubrique

//--------- Debut ajout CI (ec) -----
/*

$id_document = intval($_GET['id_document']);
$file = urldecode($_GET['file']);
if (strpos($file,'../') !== false)
  $refus = 1;
else
  {
    $refus = false;
    include_once("ecrire/inc_version.php3");
    include_local(_FILE_CONNECT);
    include_ecrire("inc_meta.php3");
    include_ecrire("inc_session.php3");

    global $auteur_session;
    if ($cookie_session = $_COOKIE['spip_session']) 
      {
	if (verifier_session($cookie_session)) 
	  {
	    if ($auteur_session['statut'] == '0minirezo' 
		OR $auteur_session['statut'] == '1comite') 
	      $auth_login = $auteur_session['login'];
	  }
      }

      
    if (!$id_document) {
      $id_document = @spip_fetch_array(spip_query("select id_document from spip_documents as documents where documents.fichier='".addslashes($file)."'"));
      if (!$id_document) $refus = 2;
      $id_document = $id_document['id_document'];
    } else {
      $file = @spip_fetch_array(spip_query("select fichier from spip_documents as documents where id_document='". $id_document ."'"));
      if (!$file) $refus = 3;
      $file = $file['fichier'];
    }
  }

if (!$auth_login && !$refus) { 
    if (!spip_num_rows(spip_query("select articles.id_article
from spip_documents_articles as rel_articles, spip_articles as articles 
where rel_articles.id_article = articles.id_article AND
articles.statut = 'publie' AND rel_articles.id_document ='".
			       $id_document .
				"' LIMIT 1"))) {
      if (!spip_num_rows(spip_query("select rubriques.id_rubrique
from spip_documents_rubriques as rel_rubriques, spip_rubriques as rubriques 
where rel_rubriques.id_rubrique = rubriques.id_rubrique AND
rubriques.statut = 'publie' AND rel_rubriques.id_document ='".
			       $id_document .
				  "' LIMIT 1"))) {
	if (!spip_num_rows(spip_query("select breves.id_breve
from spip_documents_breves as rel_breves, spip_breves as breves 
where rel_breves.id_breve = breves.id_breve AND
breves.statut = 'publie' AND rel_breves.id_document ='".
			       $id_document .
				  "' LIMIT 1")))
	  $refus = 4; } } }

if (!$refus)
  {
     header("Content-Type: ". mime_content_type($file));
     header("Content-Length: ". filesize($file));
     header("Content-Disposition: attachment; filename=\"". basename($file) ."\";");
     header("Content-Transfer-Encoding: binary");
     readfile($file);
   }
 else
   spip_log("Acces refuse ($refus) au document " . ($_GET['id_document']) . ': ' .($_GET['file']));
*/


$id_document = intval($_GET['id_document']);


$statut=404;


if ($id_document>0) {

	$refus = false;
	
	// IMPORTANT : vite que SPIP compresse le document avant envoi si Apache version 1.x
	$GLOBALS['var_mode']="download";
	
	include_once("ecrire/inc_version.php3");
	include_ecrire('inc_connect.php3');
	include_ecrire('_giseh_inc_autorise_doc.php3');
	

  	$doc = @spip_fetch_array(spip_query("select documents.id_document, documents.titre, documents.descriptif, documents.distant, documents.fichier, documents.taille, types.mime_type from spip_documents AS documents LEFT JOIN spip_types_documents AS types ON documents.id_type=types.id_type where id_document=".$id_document));

	if($doc) {
  	
		$statut=ci_autorise_doc($id_document);
		
		if ($statut==200) {
/*
			// date du serveur
			header('Date: ' . gmdate("D, d M Y H:i:s") . ' GMT');
			// date de dernire modif
			header("Last-Modified: ".gmdate('D, d M Y H:i:s', filemtime($fileString))." GMT");
			// le contenu n'est pas protg donc il est public
			// on autorise les proxys  travailler au maximum
			header('Cache-Control: Public, must-revalidate');
			header('Pragma: public');
*/

/*			
			// on vrifie si le contenu a chang
			$if_modified_since=$_SERVER['HTTP_IF_MODIFIED_SINCE'];
			// Purify the $if_modified_since so that it can be well compared with the page's last modification
			// (The browser usually give this type of string "Thu, 05 Dec 2002 20:13:47 GMT", but some, like Netscape 4.7
			//   give other strings such as ""Fri, 05 Sep 1997 01:03:46 GMT; length=2291").
			$if_modified_since = preg_replace ("/^(.*)(Mon|Tue|Wed|Thu|Fri|Sat|Sun)(.*)(GMT)(.*)/", "$2$3 GMT", $if_modified_since);
			if (strtotime($if_modified_since)==filemtime($fileString)) {
				header('Not Modified', TRUE, 304);
				exit;
			}
*/			


			// Content-Type ; pour les images ne pas passer en attachment
			// sinon, lorsqu'on pointe directement sur leur adresse,
			// le navigateur les downloade au lieu de les afficher
			header("Content-Type: ". $doc['mime_type']);
	
			if (!preg_match(',^image/,', $doc['mime_type'])) {
				header("Content-Disposition: attachment; filename=\""
					. basename($doc['fichier']) ."\";");
				header("Content-Transfer-Encoding: binary");
			}
	
//			if ($cl = $doc['taille'])
//				header("Content-Length: ". $cl);
		    header("Content-Length: ". filesize($doc['fichier']));

			readfile($doc['fichier']);




		} elseif ($statut==203) {

			// le document est protg et ne doit pas rester en cache
			header("Cache-Control: no-store, no-cache, must-revalidate");
			header("Cache-Control: post-check=0, pre-check=0, max-age=0");
			header("Pragma: no-cache");
			
			// Content-Type ; pour les images ne pas passer en attachment
			// sinon, lorsqu'on pointe directement sur leur adresse,
			// le navigateur les downloade au lieu de les afficher
			header("Content-Type: ". $doc['mime_type']);

			if ($doc['mime_type']) {
				if (!preg_match(',^image/,', $doc['mime_type'])) {
					header("Content-Disposition: attachment; filename=\""
						. basename($doc['fichier']) ."\";");
					header("Content-Transfer-Encoding: binary");
				}
			}
				
		    header("Content-Length: ". filesize($doc['fichier']));
	
			readfile($doc['fichier']);
			
		} elseif ($statut==403) {
			include_once(_altern.php3);
		} else {	
			header("HTTP/1.0 404 Not Found");
		}
		
	}

} else {
	header("HTTP/1.0 404 Not Found");
}

//---------- Fin ajout CI -----  

?>